// Header File
// Created 11/21/2010; 7:00:02 AM

//******************************************************************************
//
// Project:         Jumpman 89
//
// file name:       jm_collectables.h
//
// author:          David Randall "Ranman" 
//                  derandall99@gmail.com
//
// notes::          Jumpman was originally created by Randy Glover for the
//                  Atari 400, Commodore 64, IBM PCjr, and Apple II in 1982
//
//******************************************************************************


#ifndef _jm_collectables_h
#define _jm_collectables_h

#include "BasicTypes.h"
#include "jm_objects.h"

#define COLLECTABLE_NORM_SPEED  0
#define COLLECTABLE_MOVE_SPEED  2
#define COLLECTABLE_COUNT_MAX  32


//extern int2 collectable_activate;
extern int2 collectable_attained;


typedef struct
{
	OBJECT_Type* object;
	uint1 game_piece;       // GAME_PIECE_Type
	uint1 x;                // current lcd x coord
	uint1 y;                // starting lcd y coord
	uint1 speed;            // speed of bullet;
	uint1 direction;        // DIR_Type
	uint1 delay;            // frame delay count
	uint1 anim_step;        // animation step for zig-zag and hailstones
	uint1 script_id;
	bool  first_move;
	bool  available;
} COLLECTABLE_OBJECT_Type;



void DrawCollectables(void);
void UpdateCollectables(void);
void CheckCollectables(void);
void InitCollectables(void);
void ExecuteScript(uint1 script_id);
void DrawBonusPoints(void);
void DrawLetters(void);
void ToggleVisibilityObjectType(uint1 game_piece_start, uint1 game_piece_stop, bool restore_visibility);
void ModifyPlatformObject(OBJECT_Type* object, uint1 new_object_flags);


#endif
