// C Source File
// Created 11/21/2010; 6:34:56 AM

//******************************************************************************
//
// Project:         Jumpman 89
//
// file name:       jm_timers.h
//
// author:          David Randall "Ranman" 
//                  derandall99@gmail.com
//
// notes::          Jumpman was originally created by Randy Glover for the
//                  Atari 400, Commodore 64, IBM PCjr, and Apple II in 1982.
//
//******************************************************************************


#include <tigcclib.h>
#include "extgraph.h"

#include "BasicTypes.h"
#include "BasicUtils.h"
#include "GrayUtils.h"
#include "FontUtils.h"

#include "jm_objects.h"
#include "jm_timers.h"
#include "jm_collectables.h"
#include "jm_jumpman.h"

#if 1
TIMER_OBJECT_Type  timer_list[TIMER_COUNT_MAX];


int2 timer_count;



void DrawTimers(void)
{
	return;
}



void UpdateTimers(void)
{
	TIMER_OBJECT_Type* timer = &timer_list[0];
	int2 i;

	for (i = 0; i < timer_count; i++)
	{
		if (timer->cur_value > 0)
		{
			timer->cur_value--;
		}

		timer++;
	}
}


void CheckTimers(void)
{
	TIMER_OBJECT_Type* timer = &timer_list[0];
	int2 i;

	for (i = 0; i < timer_count; i++)
	{
		//if ((timer->object->flags & FLAG_NONE) != FLAG_NONE)
		{
			if (timer->cur_value <= 0)
			{
				ExecuteScript(timer->script_id);
			}
		}

		timer++;
	}
}


void InitTimers(void)
{
	TIMER_OBJECT_Type* timer = &timer_list[0];
	OBJECT_Type* object;
	bool done = false;
	int timer_value;

	timer_count = 0;
	
	memset((void*)(timer_list), 0, sizeof(TIMER_OBJECT_Type) * TIMER_COUNT_MAX);

	while ((!done) && (timer_count < TIMER_COUNT_MAX))
	{
		object = FindObjectEntryByType(GAME_PIECE_Timer, false);

		if (object)
		{
			timer_value = object->timer_value_u;
			timer_value = timer_value << 8;
			timer_value = timer_value | object->timer_value_l;
			
			// retain a pointer to the object
			timer->game_piece = object->game_piece;
			timer->object = object;
			timer->init_value = timer_value;
			timer->cur_value = timer_value;
			timer->flags = object->flags;
			timer->script_id = object->script_id;

			timer_count++;
			timer++;
		}
		else
		{
			done = true;
		}
	}
}

#endif
