// Header File
// Created 11/21/2010; 6:58:28 AM

//******************************************************************************
//
// Project:         Jumpman 89
//
// file name:       jm_timers.h
//
// author:          David Randall "Ranman" 
//                  derandall99@gmail.com
//
// notes::          Jumpman was originally created by Randy Glover for the
//                  Atari 400, Commodore 64, IBM PCjr, and Apple II in 1982
//
//******************************************************************************


#ifndef _jm_timers_h
#define _jm_timers_h

#include "BasicTypes.h"

#include "jm_objects.h"

#define TIMER_COUNT_MAX  16


typedef struct
{
	uint2 game_piece;         // GAME_PIECE_Type
	OBJECT_Type* object;      // pointer to the object
	int2   init_value;        // initial timer value
	int2   cur_value;         // current timer value
	uint1  flags;             // timer flags
	uint1  script_id;         // script id to act upon

} TIMER_OBJECT_Type;


extern int2 timer_count;
extern TIMER_OBJECT_Type  timer_list[TIMER_COUNT_MAX];


void DrawTimers(void);
void UpdateTimers(void);
void CheckTimers(void);
void InitTimers(void);



#endif
