// Header File
// Created 1/22/2011; 11:34:10 PM

//******************************************************************************
//
// Project:         Jumpman 89
//
// file name:       jm_titlescreen.h
//
// author:          David Randall "Ranman" 
//                  derandall99@gmail.com
//
// notes::          Jumpman was originally created by Randy Glover for the
//                  Atari 400, Commodore 64, IBM PCjr, and Apple II in 1982
//
//******************************************************************************


#ifndef _jm_titlescreen_h
#define _jm_titlescreen_h

#include "BasicTypes.h"

#include "jm_jumpman.h"


typedef struct
{
	uint1 count;
	uint1 direction;
	uint1 action;
} SCRIPTED_MOVE_Type;

typedef struct
{
	int2 x;
	int2 y;
	int1 letter;
	int1 color;
} LETTER_Type;


extern bool titlescreen;


int2 DrawTitleScreen(void);
void InitTitleScreen(void);
void GetScriptedMove(DIR_Type* direction, bool* action);
void GetLetterMove(DIR_Type* direction, bool* action);
void CheckLetters(void);


#endif
