// C Source File
// Created 11/21/2010; 2:30:54 PM


#include <tigcclib.h>

#include "BasicTypes.h"
#include "jm_levels.h"
#include "jm_utilities.h"




#ifdef JM_GRANDLOOP
 #define JM_BEGINNER
 #define JM_INTERMEDIATE
 #define JM_ADVANCED
#endif


// Main Function
void _main(void)
{
	return;
}

typedef struct
{
	int4 marker;
} MARKER_Type;


LEVEL_Type level[] =
{
#ifdef JM_BEGINNER
	{
		"EASY DOES IT",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,  19, 56,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,   0,  8,  5},
			{ 11, GAME_PIECE_Girder_Down, FLAG_VA,   5,  9,  2}, // removed by bomb 70
			{ 12, GAME_PIECE_Girder_Up,   FLAG_VA,   7,  9,  1}, // removed by bomb 70
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,   8,  8, 10},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,  22,  8, 10},
			{ 15, GAME_PIECE_Girder_Down, FLAG_VA,  32,  9,  1}, // removed by bomb 73
			{ 16, GAME_PIECE_Girder_Up,   FLAG_VA,  33, 10,  2}, // removed by bomb 73
			{ 17, GAME_PIECE_Girder_Hor,  FLAG_VA,  35,  8,  5},

			{ 18, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 28,  6},
			{ 19, GAME_PIECE_Girder_Hor,  FLAG_VA,  11, 27,  5},
			//{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,  15, 27,  1},
			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,  16, 28,  8},
			//{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,  24, 27,  1},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,  24, 27,  5},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,  34, 28,  6},

			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 46,  6},
			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,   9, 46,  2},
			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VA,  14, 46, 12},
			{ 26, GAME_PIECE_Girder_Hor,  FLAG_VA,  29, 46,  2},
			{ 27, GAME_PIECE_Girder_Hor,  FLAG_VA,  34, 46,  6},

			{ 28, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 70,  8},
			{ 29, GAME_PIECE_Girder_Up,   FLAG_VA,   8, 69,  5},
			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,  13, 64, 14},
			{ 31, GAME_PIECE_Girder_Down, FLAG_VA,  27, 65,  5},
			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,  32, 70,  8},

			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,  17, 85,  6},
			{ 34, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 88, 40},

			{ 40, GAME_PIECE_Rope_Up,     FLAG_VA,   9, 48,  3},
			{ 41, GAME_PIECE_Rope_Up,     FLAG_VA,  29, 48,  3},

			{ 50, GAME_PIECE_Ladder,      FLAG_VA,   2,  4,  7},
			{ 51, GAME_PIECE_Ladder,      FLAG_VA,   2, 32,  5}, // removed by bomb 74
			{ 52, GAME_PIECE_Ladder,      FLAG_VA,  12,  3,  6},
			{ 53, GAME_PIECE_Ladder,      FLAG_VA,  26,  3,  6},
			{ 54, GAME_PIECE_Ladder,      FLAG_VA,  36,  4,  7},
			{ 55, GAME_PIECE_Ladder,      FLAG_VA,  36, 32,  5}, // removed by bomb 75
			{ 56, GAME_PIECE_Ladder,      FLAG_VA,  19, 26,  5},
			{ 57, GAME_PIECE_Ladder,      FLAG_VA,  15, 44,  5},
			{ 58, GAME_PIECE_Ladder,      FLAG_VA,  23, 44,  5},
			{ 59, GAME_PIECE_Ladder,      FLAG_VA,   2, 68,  5},
			{ 60, GAME_PIECE_Ladder,      FLAG_VA,  36, 68,  5},

			{ 70, GAME_PIECE_Bomb,        FLAG_VAS,  0,  4, 90},
			{ 71, GAME_PIECE_Bomb,        FLAG_VA,  16,  4,  0},
			{ 72, GAME_PIECE_Bomb,        FLAG_VA,  22,  4,  0},
			{ 73, GAME_PIECE_Bomb,        FLAG_VAS, 38,  4, 92},
			{ 74, GAME_PIECE_Bomb,        FLAG_VAS,  0, 24, 94},
			{ 75, GAME_PIECE_Bomb,        FLAG_VAS, 38, 24, 95},
			{ 76, GAME_PIECE_Bomb,        FLAG_VA,   9, 40,  0},
			{ 77, GAME_PIECE_Bomb,        FLAG_VA,  29, 40,  0},
			{ 78, GAME_PIECE_Bomb,        FLAG_VA,   0, 84,  0},
			{ 79, GAME_PIECE_Bomb,        FLAG_VA,  14, 72,  0},
			{ 80, GAME_PIECE_Bomb,        FLAG_VA,  24, 72,  0},
			{ 81, GAME_PIECE_Bomb,        FLAG_VA,  38, 84,  0},

			{ 90, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 11,  91},
			{ 91, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 12,  0},
			{ 92, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 15,  93},
			{ 93, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 16,  0},
			{ 94, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 51,  0},
			{ 95, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 55,  0},

			{ 99, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,12,0,
		0,0,0,1,
		false,
		false,
	},
	{
		"ROBOTS I",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    36, 80,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Waypoint_Root,  FLAG_NONE, 2, 25, 110},
			{ 11, GAME_PIECE_Waypoint_Root,  FLAG_NONE, 2, 20, 130},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,    12,  8, 16},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 22,  6},
			{ 22, GAME_PIECE_Girder_Down, FLAG_VA,     6, 23,  5},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,    11, 28, 18},
			{ 24, GAME_PIECE_Girder_Up,   FLAG_VA,    29, 27,  5},
			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VA,    34, 22,  6},
			{ 26, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 48,  3},
			{ 27, GAME_PIECE_Girder_Hor,  FLAG_VA,     6, 48, 34},
			{ 28, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 68, 10},
			{ 29, GAME_PIECE_Girder_Down, FLAG_VA,    10, 69, 20},
			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 68, 12},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88,  8},
			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,    29, 88,  3},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,    36, 88,  4},

			{ 40, GAME_PIECE_Ladder,      FLAG_VA,    19,  4,  6},
			{ 41, GAME_PIECE_Ladder,      FLAG_VA,     1, 20,  7},
			{ 42, GAME_PIECE_Ladder,      FLAG_VA,    37, 20,  7},
			{ 43, GAME_PIECE_Ladder,      FLAG_VA,    14, 24,  6},
			{ 44, GAME_PIECE_Ladder,      FLAG_VA,    24, 24,  6},
			{ 45, GAME_PIECE_Ladder,      FLAG_VA,     7, 44,  6},
			{ 46, GAME_PIECE_Ladder,      FLAG_VA,    29, 44, 11},
			{ 47, GAME_PIECE_Ladder,      FLAG_VA,     1, 64,  6},
			{ 48, GAME_PIECE_Ladder,      FLAG_VA,    37, 64,  6},

			{ 60, GAME_PIECE_Bomb,        FLAG_VAS,   14,  4, 80},
			{ 61, GAME_PIECE_Bomb,        FLAG_VAS,   24,  4, 80},
			{ 62, GAME_PIECE_Bomb,        FLAG_VAS,    4, 10, 80},
			{ 63, GAME_PIECE_Bomb,        FLAG_VAS,   34, 10, 80},
			{ 64, GAME_PIECE_Bomb,        FLAG_VAS,   10, 44, 80},
			{ 65, GAME_PIECE_Bomb,        FLAG_VAS,   19, 44, 80},
			{ 66, GAME_PIECE_Bomb,        FLAG_VAS,   33, 44, 80},
			{ 67, GAME_PIECE_Bomb,        FLAG_VAS,   23, 58, 80},
			{ 68, GAME_PIECE_Bomb,        FLAG_VAS,   33, 64, 80},
			{ 69, GAME_PIECE_Bomb,        FLAG_VAS,    6, 84, 80},
			{ 70, GAME_PIECE_Bomb,        FLAG_VAS,   27, 80, 80},
			{ 71, GAME_PIECE_Bomb,        FLAG_VAS,   10, 64, 80},

			{ 80, GAME_PIECE_Script, FLAG_NONE, FLAG_VA, 100, 81},
			{ 81, GAME_PIECE_Script, FLAG_NONE, FLAG_VA, 101,  0},

			{ 100, GAME_PIECE_Robot_1, FLAG_VAHW, 29, 80,  10}, // Green
			{ 101, GAME_PIECE_Robot_1, FLAG_VAHW,  4, 60,  11},  // Blue

			// Robot #1 (blue)
			{ 110, GAME_PIECE_Waypoint_List_Vec,  DIR_Up,   20,  DIR_Right, 2},
			{ 111, GAME_PIECE_Waypoint_List_Vec,  DIR_None,  0,  DIR_Left,  2},
			{ 112, GAME_PIECE_Waypoint_List_Vec,  DIR_Up,   20,  DIR_Right, 8},
			{ 113, GAME_PIECE_Waypoint_List_Vec,  DIR_Up,   26,  DIR_Left,  3},
			{ 114, GAME_PIECE_Waypoint_List_Vec,  DIR_None,  0,  DIR_Left, 15},
			{ 115, GAME_PIECE_Waypoint_List_Vec,  DIR_Up,   20,  DIR_Left,  3},
			{ 116, GAME_PIECE_Waypoint_List_Vec,  DIR_None,  0,  DIR_Right, 3},
			{ 117, GAME_PIECE_Waypoint_List_Vec,  DIR_Down, 20,  DIR_Left,  5},
			{ 118, GAME_PIECE_Waypoint_List_Vec,  DIR_Down, 20,  DIR_Left,  2},
			{ 119, GAME_PIECE_Waypoint_List_Vec,  DIR_None, 0,   DIR_Left,  5},
			{ 120, GAME_PIECE_Waypoint_List_Vec,  DIR_Down, 20,  DIR_Left,  3},
			{ 121, GAME_PIECE_Waypoint_List_Vec,  DIR_None,  0,  DIR_Right,25},
			{ 122, GAME_PIECE_Waypoint_List_Vec,  DIR_None,  0,  DIR_None,  0},

			// Robot #2 (green)
			{ 130, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,  3,  DIR_Down, 20},
			{ 131, GAME_PIECE_Waypoint_List_Vec,  DIR_Right, 3,  DIR_None,  0},
			{ 132, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,  3,  DIR_Up,   20},
			{ 133, GAME_PIECE_Waypoint_List_Vec,  DIR_Right, 6,  DIR_Up,   20},
			{ 134, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,10,  DIR_None,  0},
			{ 135, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,  3,  DIR_Up,   20},
			{ 136, GAME_PIECE_Waypoint_List_Vec,  DIR_Left, 10,  DIR_None,  0},
			{ 137, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,10,  DIR_Down, 20},
			{ 138, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,  7,  DIR_Down, 20},
			{ 139, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,  3,  DIR_None,  0},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,12,0,
		0,0,0,2,
		false,
		false,
	},
	{
		"BOMBS AWAY",
		{
			{ 1, GAME_PIECE_Jumpman   , FLAG_VA,  19, 80,  SPECIAL_ABILITY_None},

			{ 1, GAME_PIECE_Girder_Hor, FLAG_VA,  0,  8, 6},
			{ 2, GAME_PIECE_Girder_Hor, FLAG_VA,  6,  8, 6},
			{ 3, GAME_PIECE_Girder_Hor, FLAG_VA, 12,  8, 3},
			{ 4, GAME_PIECE_Girder_Hor, FLAG_VA, 18,  8, 4},
			{ 5, GAME_PIECE_Girder_Hor, FLAG_VA, 25,  8, 3},
			{ 6, GAME_PIECE_Girder_Hor, FLAG_VA, 28,  8, 6},
			{ 7, GAME_PIECE_Girder_Hor, FLAG_VA, 34,  8, 6},

			{ 8, GAME_PIECE_Girder_Hor, FLAG_VA,  0, 30, 6},
			{ 9, GAME_PIECE_Girder_Hor, FLAG_VA,  6, 30, 6},
			{10, GAME_PIECE_Girder_Hor, FLAG_VA, 12, 30, 3},
			{11, GAME_PIECE_Girder_Hor, FLAG_VA, 25, 30, 3},
			{12, GAME_PIECE_Girder_Hor, FLAG_VA, 28, 30, 6},
			{13, GAME_PIECE_Girder_Hor, FLAG_VA, 34, 30, 6},

			{14, GAME_PIECE_Girder_Hor, FLAG_VA,  0, 52, 6},
			{15, GAME_PIECE_Girder_Hor, FLAG_VA,  6, 52, 6},
			{16, GAME_PIECE_Girder_Hor, FLAG_VA, 12, 52, 3},
			{17, GAME_PIECE_Girder_Hor, FLAG_VA, 25, 52, 3},
			{18, GAME_PIECE_Girder_Hor, FLAG_VA, 28, 52, 6},
			{19, GAME_PIECE_Girder_Hor, FLAG_VA, 34, 52, 6},

			{20, GAME_PIECE_Girder_Hor, FLAG_VA,  7, 68, 4},
			{21, GAME_PIECE_Girder_Hor, FLAG_VA, 29, 68, 4},

			{22, GAME_PIECE_Girder_Hor, FLAG_VA,  0, 88, 40},

			{23, GAME_PIECE_Ladder,     FLAG_VA,  2, 4,  21},
			{24, GAME_PIECE_Ladder,     FLAG_VA, 36, 4,  21},

			{25, GAME_PIECE_Rope_Down,  FLAG_VA, 19, 4,  19},

			{26, GAME_PIECE_Bomb, FLAG_VA,  13, 4,   0},
			{27, GAME_PIECE_Bomb, FLAG_VA,  25, 4,   0},
			{28, GAME_PIECE_Bomb, FLAG_VAS,  0, 26, 38},
			{29, GAME_PIECE_Bomb, FLAG_VA,  13, 26,  0},
			{30, GAME_PIECE_Bomb, FLAG_VA,  25, 26,  0},
			{31, GAME_PIECE_Bomb, FLAG_VAS, 38, 26, 39},
			{32, GAME_PIECE_Bomb, FLAG_VA,  13, 48,  0},
			{33, GAME_PIECE_Bomb, FLAG_VA , 25, 48,  0},
			{34, GAME_PIECE_Bomb, FLAG_VAS,  8, 64, 40},
			{35, GAME_PIECE_Bomb, FLAG_VAS, 30, 64, 41},
			{36, GAME_PIECE_Bomb, FLAG_VAS,  0, 84, 42},
			{37, GAME_PIECE_Bomb, FLAG_VAS, 38, 84, 43},

			{38, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  2,  0},
			{39, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  6,  0},
			{40, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  9,  0},
			{41, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 12,  0},
			{42, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 15,  0},
			{43, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 18,  0},

			{44, GAME_PIECE_Falling_Bomb, FLAG_VA, 0, 0, 0},
			{45, GAME_PIECE_Falling_Bomb, FLAG_VA, 0, 0, 0},
			{46, GAME_PIECE_Falling_Bomb, FLAG_VA, 0, 0, 0},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,12,0,
		0,0,0,3,
		false,
		false,
	},
	{
		"JUMPING BLOCKS",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,  19, 80,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,   0,   8,  17},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_VA,  23,   8,  17},

			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,   0,  28,   3},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,   6,  28,   5},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,  15,  28,  10},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,  29,  28,   5},
			{ 16, GAME_PIECE_Girder_Hor,  FLAG_VA,  37,  28,   3},

			{ 17, GAME_PIECE_Girder_Hor,  FLAG_VA,   6,  48,   9},
			{ 18, GAME_PIECE_Girder_Hor,  FLAG_VA,  19,  48,   2},
			{ 19, GAME_PIECE_Girder_Hor,  FLAG_VA,  25,  48,   9},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,   6,  68,  28},

			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,   0,  88,   2},
			{ 22, GAME_PIECE_Girder_Up,   FLAG_VA,   2,  87,   3},
			{ 23, GAME_PIECE_Girder_Down, FLAG_VA,   5,  85,   3},
			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,   8,  88,  24},
			{ 25, GAME_PIECE_Girder_Up,   FLAG_VA,  32,  87,   3},
			{ 26, GAME_PIECE_Girder_Down, FLAG_VA,  35,  85,   3},
			{ 27, GAME_PIECE_Girder_Hor,  FLAG_VA,  38,  88,   2},

			{ 40, GAME_PIECE_Rope_Up,     FLAG_VA,   0,  31,  12},
			{ 41, GAME_PIECE_Rope_Up,     FLAG_VA,  38,  31,  12},

			{ 50, GAME_PIECE_Ladder,      FLAG_VA,   9,  4,  6},
			{ 51, GAME_PIECE_Ladder,      FLAG_VA,  29,  4,  6},
			{ 52, GAME_PIECE_Ladder,      FLAG_VA,  19, 24,  6},
			{ 53, GAME_PIECE_Ladder,      FLAG_VA,   6, 44,  6},
			{ 54, GAME_PIECE_Ladder,      FLAG_VA,  32, 44,  6},
			{ 55, GAME_PIECE_Ladder,      FLAG_VA,  16, 64,  6},
			{ 56, GAME_PIECE_Ladder,      FLAG_VA,  22, 64,  6},

			{ 60, GAME_PIECE_Bomb,        FLAG_VA,   0,  4,  0},
			{ 61, GAME_PIECE_Bomb,        FLAG_VA,  16,  4,  0},
			{ 62, GAME_PIECE_Bomb,        FLAG_VA,  22,  4,  0},
			{ 63, GAME_PIECE_Bomb,        FLAG_VA,  38,  4,  0},
			{ 64, GAME_PIECE_Bomb,        FLAG_VA,   0, 24,  0},
			{ 65, GAME_PIECE_Bomb,        FLAG_VA,  15, 24,  0},
			{ 66, GAME_PIECE_Bomb,        FLAG_VA,  23, 24,  0},
			{ 67, GAME_PIECE_Bomb,        FLAG_VA,  38, 24,  0},
			{ 68, GAME_PIECE_Bomb,        FLAG_VA,   9, 36,  0},
			{ 69, GAME_PIECE_Bomb,        FLAG_VA,  29, 36,  0},
			{ 70, GAME_PIECE_Bomb,        FLAG_VA,  16, 56,  0},
			{ 71, GAME_PIECE_Bomb,        FLAG_VA,  22, 56,  0},
			{ 72, GAME_PIECE_Bomb,        FLAG_VA,   0, 84,  0},
			{ 73, GAME_PIECE_Bomb,        FLAG_VA,   4, 74,  0},
			{ 74, GAME_PIECE_Bomb,        FLAG_VA,  34, 74,  0},
			{ 75, GAME_PIECE_Bomb,        FLAG_VA,  38, 84,  0},

			{25, GAME_PIECE_Jumping_Block, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{26, GAME_PIECE_Jumping_Block, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{25, GAME_PIECE_Jumping_Block, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{26, GAME_PIECE_Jumping_Block, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,16,0,
		0,0,0,4,
		false,
		false,
	},
	{
		"VAMPIRE",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,  19, 56,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Up,   FLAG_VA,  16, 11,  4},
			{ 11, GAME_PIECE_Girder_Down, FLAG_VA,  20,  8,  4},

			{ 12, GAME_PIECE_Girder_Down, FLAG_VA,  10, 20,  9},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,  19, 29,  2},
			{ 14, GAME_PIECE_Girder_Up,   FLAG_VA,  21, 28,  9},

			{ 16, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 20,  3},
			{ 17, GAME_PIECE_Girder_Hor,  FLAG_VA,  37, 20,  3},

			{ 18, GAME_PIECE_Girder_Hor,  FLAG_VA,   6, 20,  4},
			{ 19, GAME_PIECE_Girder_Hor,  FLAG_VA,  30, 20,  4},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 40,  3},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,  37, 40,  3},

			{ 22, GAME_PIECE_Girder_Down, FLAG_VA,   3, 41,  3},
			{ 23, GAME_PIECE_Girder_Up,   FLAG_VA,  34, 43,  3},

			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,   6, 44,  6},
			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VA,  17, 44,  6},
			{ 26, GAME_PIECE_Girder_Hor,  FLAG_VA,  28, 44,  6},

			{ 27, GAME_PIECE_Girder_Hor,  FLAG_VA,   2, 64, 10},
			{ 28, GAME_PIECE_Girder_Hor,  FLAG_VA,  17, 64,  6},
			{ 29, GAME_PIECE_Girder_Hor,  FLAG_VA,  28, 64, 10},

			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 88,  8},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_VA,  13, 88,  1},
			{ 32, GAME_PIECE_Girder_Up,   FLAG_VA,  14, 88,  4},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,  18, 84,  4},
			{ 34, GAME_PIECE_Girder_Down, FLAG_VA,  22, 85,  4},
			{ 35, GAME_PIECE_Girder_Hor,  FLAG_VA,  26, 88,  1},
			{ 36, GAME_PIECE_Girder_Hor,  FLAG_VA,  32, 88,  8},

			{ 40, GAME_PIECE_Rope_Down,   FLAG_VA,   0, 16,  4},
			{ 41, GAME_PIECE_Rope_Down,   FLAG_VA,  38, 16,  4},

			{ 42, GAME_PIECE_Ladder,      FLAG_VA,   8, 16, 12},
			{ 43, GAME_PIECE_Ladder,      FLAG_VA,  30, 16, 12},

			{ 44, GAME_PIECE_Ladder,      FLAG_VA,  19, 60,  6},
			{ 45, GAME_PIECE_Ladder,      FLAG_VA,   3, 60,  7},
			{ 46, GAME_PIECE_Ladder,      FLAG_VA,  35, 60,  7},

			{ 50, GAME_PIECE_Bomb,        FLAG_VAS, 19, 18, 70}, // script: remove middle girderbelow bats
			{ 51, GAME_PIECE_Bomb,        FLAG_VA,  19, 36,  0},
			{ 52, GAME_PIECE_Bomb,        FLAG_VA,   1, 16,  0},
			{ 53, GAME_PIECE_Bomb,        FLAG_VA,  37, 16,  0},
			{ 54, GAME_PIECE_Bomb,        FLAG_VA,   1, 36,  0},
			{ 55, GAME_PIECE_Bomb,        FLAG_VA,  37, 36,  0},
			{ 56, GAME_PIECE_Bomb,        FLAG_VA,  10, 36,  0},
			{ 57, GAME_PIECE_Bomb,        FLAG_VA,  28, 36,  0},
			{ 58, GAME_PIECE_Bomb,        FLAG_VAS, 14, 54, 71}, // script: remove middle of lower right ladder
			{ 59, GAME_PIECE_Bomb,        FLAG_VAS, 24, 54, 72}, // script: remove middle of lower right ladder
			{ 60, GAME_PIECE_Bomb,        FLAG_VA,  10, 74,  0},
			{ 61, GAME_PIECE_Bomb,        FLAG_VA,  28, 74,  0},
			{ 62, GAME_PIECE_Bomb,        FLAG_VA,   0, 74,  0},
			{ 63, GAME_PIECE_Bomb,        FLAG_VA,  38, 74,  0},

			{ 70, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 13,  0},
			{ 71, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 45,  0},
			{ 72, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 46,  0},

			{ 80, GAME_PIECE_Bat, FLAG_VA, 19, 11,  0},
			{ 81, GAME_PIECE_Bat, FLAG_VA, 16, 13,  0},
			{ 82, GAME_PIECE_Bat, FLAG_VA, 22, 13,  0},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,14,0,
		0,0,0,5,
		false,
		false,
	},
	{
		"INVASION",
		{
			{ 1, GAME_PIECE_Jumpman   , FLAG_VA,  19, 0,  SPECIAL_ABILITY_Gunfire},

			{ 10, GAME_PIECE_Girder_Hor, FLAG_VA,  0,  8,  40},
			{ 11, GAME_PIECE_Girder_Hor, FLAG_VA, 17, 28,  23},
			{ 12, GAME_PIECE_Girder_Hor, FLAG_VA,  0, 48,  40},
			{ 13, GAME_PIECE_Girder_Hor, FLAG_VA,  0, 68,  23},
			{ 14, GAME_PIECE_Girder_Hor, FLAG_VA,  0, 88,  40},

			{ 20, GAME_PIECE_Ladder,     FLAG_VA,  2, 44,  11},
			{ 21, GAME_PIECE_Ladder,     FLAG_VA, 36,  4,  11},
			{ 22, GAME_PIECE_Ladder,     FLAG_VA, 19, 24,  6},
			{ 23, GAME_PIECE_Ladder,     FLAG_VA, 19, 64,  6},
			
			{ 25, GAME_PIECE_Bomb,       FLAG_VA, 38, 84,  0},

			{ 30, GAME_PIECE_Ufo,        FLAG_VA, 0, 0, 0},
			{ 31, GAME_PIECE_Ufo,        FLAG_VA, 0, 0, 0},
			{ 32, GAME_PIECE_Ufo,        FLAG_VA, 0, 0, 0},

			{ 40, GAME_PIECE_Jumpman_Gunfire, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{ 41, GAME_PIECE_Jumpman_Gunfire, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{ 42, GAME_PIECE_Jumpman_Gunfire, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		0,1,0,
		0,0,0,6,
		false,
		false,
	},
	{
		"GRAND PUZZLE I",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,  19, 80,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,   9,  8,  6},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_VA,  25,  8,  6},

			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 26,  5},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,   9, 26,  6}, // removed by 63
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,  25, 26,  6},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,  35, 26,  5}, // removed by 64

			{ 16, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 44,  7},
			{ 17, GAME_PIECE_Girder_Down, FLAG_VA,   7, 45,  7},
			{ 18, GAME_PIECE_Girder_Hor,  FLAG_VA,  14, 52, 12},
			{ 19, GAME_PIECE_Girder_Up,   FLAG_VA,  26, 51,  7},
			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,  33, 44,  7},

			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 70,  8},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,  13, 70, 14},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,  32, 70,  8},

			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 88, 40},

			{ 30, GAME_PIECE_Ladder,      FLAG_VA,   2, 24,  6},
			{ 31, GAME_PIECE_Ladder,      FLAG_VA,   2, 48,  4}, // removed by bomb 70
			{ 32, GAME_PIECE_Ladder,      FLAG_VA,   2, 64,  6},
			{ 33, GAME_PIECE_Ladder,      FLAG_VA,  36, 24,  6},
			{ 34, GAME_PIECE_Ladder,      FLAG_VA,  36, 48,  4}, // removed by bomb 73
			{ 35, GAME_PIECE_Ladder,      FLAG_VA,  36, 64,  6},

			{ 36, GAME_PIECE_Ladder,      FLAG_VA,  19, 40, 12},
			//{ 52, GAME_PIECE_Ladder,      FLAG_VA,  19,  8,  8},

			{ 40, GAME_PIECE_Ladder,      FLAG_PH,   0, 38,  1},
			{ 41, GAME_PIECE_Ladder,      FLAG_PH,  16, 38,  1},
			{ 42, GAME_PIECE_Ladder,      FLAG_PH,  22, 38,  1},
			{ 43, GAME_PIECE_Ladder,      FLAG_PH,  38, 38,  1},
			{ 44, GAME_PIECE_Ladder,      FLAG_PH,   5, 64,  1},
			{ 45, GAME_PIECE_Ladder,      FLAG_PH,  33, 64,  1},
			{ 46, GAME_PIECE_Ladder,      FLAG_PH,   0, 82,  1},
			{ 47, GAME_PIECE_Ladder,      FLAG_PH,  38, 82,  1},

			{ 60, GAME_PIECE_Bomb,        FLAG_VAS,  8,  4, 100},
			{ 61, GAME_PIECE_Bomb,        FLAG_VAS, 14,  4, 101},
			{ 62, GAME_PIECE_Bomb,        FLAG_VAS, 24,  4, 102},
			{ 63, GAME_PIECE_Bomb,        FLAG_VAS, 30,  4, 103},
			{ 61, GAME_PIECE_Bomb,        FLAG_VA,  11, 22,   0},
			{ 62, GAME_PIECE_Bomb,        FLAG_VA,  27, 22,   0},
			{ 66, GAME_PIECE_Bomb,        FLAG_VAS,  0, 40,  80},
			{ 67, GAME_PIECE_Bomb,        FLAG_VAS, 16, 40,  81},
			{ 68, GAME_PIECE_Bomb,        FLAG_VAS, 22, 40,  82},
			{ 69, GAME_PIECE_Bomb,        FLAG_VAS, 38, 40,  83},
			{ 70, GAME_PIECE_Bomb,        FLAG_VAS,  5, 66,  84},
			{ 71, GAME_PIECE_Bomb,        FLAG_VA,  14, 66,   0},
			{ 72, GAME_PIECE_Bomb,        FLAG_VA,  24, 66,   0},
			{ 73, GAME_PIECE_Bomb,        FLAG_VAS, 33, 66,  85},
			{ 74, GAME_PIECE_Bomb,        FLAG_VAS,  0, 84,  86},
			{ 75, GAME_PIECE_Bomb,        FLAG_VAS, 38, 84,  87},

			{ 80, GAME_PIECE_Script, FLAG_NONE, FLAG_VP,  40,   0},
			{ 81, GAME_PIECE_Script, FLAG_NONE, FLAG_VP,  41,   0},
			{ 82, GAME_PIECE_Script, FLAG_NONE, FLAG_VP,  42,   0},
			{ 83, GAME_PIECE_Script, FLAG_NONE, FLAG_VP,  43,   0},
			{ 84, GAME_PIECE_Script, FLAG_NONE, FLAG_VP,  44,  90},
			{ 85, GAME_PIECE_Script, FLAG_NONE, FLAG_VP,  45,  91},
			{ 86, GAME_PIECE_Script, FLAG_NONE, FLAG_VP,  46,   0},
			{ 87, GAME_PIECE_Script, FLAG_NONE, FLAG_VP,  47,   0},

			{ 90, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  31,   0},
			{ 91, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  34,   0},

			{100, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE, 50, 0},
			{101, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE, 50, 0},
			{102, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE, 50, 0},
			{103, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE, 50, 0},

			{110, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,12,0,
		0,0,0,7,
		false,
		false,
	},
	{
		"BUILDER",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,  19, 22,  SPECIAL_ABILITY_None},

			{  1, GAME_PIECE_Girder_Hor,  FLAG_VA,  0, 88,  5},
			{  2, GAME_PIECE_Girder_Up,   FLAG_VA, 5, 87,  3},
			{  3, GAME_PIECE_Girder_Hor,  FLAG_VA, 8, 84, 11},
			{  4, GAME_PIECE_Girder_Hor,  FLAG_VA, 21, 84, 11},
			{  5, GAME_PIECE_Girder_Down, FLAG_VA,32, 85,  3},
			{  6, GAME_PIECE_Girder_Hor,  FLAG_VA,35, 88,  5},

			{  7, GAME_PIECE_Girder_Hor,  FLAG_VA,  0, 64,  8},
			{  8, GAME_PIECE_Girder_Hor,  FLAG_VA, 15, 64, 10},
			{  9, GAME_PIECE_Girder_Hor,  FLAG_VA,32, 64,  8},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_NONE,  0, 40,  5},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_VA, 10, 40,  3},
			{ 12, GAME_PIECE_Girder_Down, FLAG_VA, 13, 41,  2},
			{ 13, GAME_PIECE_Girder_Up,   FLAG_VA,25, 42,  2},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,27, 40,  3},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_NONE,35, 40,  5},

			{ 16, GAME_PIECE_Girder_Hor,  FLAG_NONE,  0, 16,  6},
			{ 17, GAME_PIECE_Girder_Hor,  FLAG_VA, 10, 20,  3},
			{ 18, GAME_PIECE_Girder_Up,   FLAG_VA, 13, 19,  6},
			{ 19, GAME_PIECE_Girder_Hor,  FLAG_VA, 19, 13,  2},
			{ 20, GAME_PIECE_Girder_Down, FLAG_VA, 21, 14,  6},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,27, 20,  3},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_NONE,34, 16,  6},

			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA, 19, 30,  2},//78

			{ 24, GAME_PIECE_Rope_Down,   FLAG_NONE, 19,  8,  6},
			{ 25, GAME_PIECE_Rope_Down,   FLAG_VA, 19, 32,  6},

			{ 26, GAME_PIECE_Rope_Up,     FLAG_NONE, 3, 40,  4},
			{ 27, GAME_PIECE_Rope_Up,     FLAG_NONE,35, 40,  4},
			{ 28, GAME_PIECE_Rope_Up,     FLAG_VA, 10, 40,  6},
			{ 29, GAME_PIECE_Rope_Up,     FLAG_VA,28, 40,  6},//110

			{ 30, GAME_PIECE_Ladder,      FLAG_VA,  1, 60,  7},
			{ 31, GAME_PIECE_Ladder,      FLAG_VA, 37, 60,  7},
			{ 32, GAME_PIECE_Ladder,      FLAG_VA, 15, 60,  6},
			{ 33, GAME_PIECE_Ladder,      FLAG_VA, 23, 60,  6},
			{ 34, GAME_PIECE_Ladder,      FLAG_NONE,  1, 12,  7},
			{ 35, GAME_PIECE_Ladder,      FLAG_NONE,37, 12,  7},
			{ 36, GAME_PIECE_Ladder,      FLAG_VA, 10, 16,  2},
			{ 37, GAME_PIECE_Ladder,      FLAG_VA, 10, 24,  2},
			{ 38, GAME_PIECE_Ladder,      FLAG_VA, 10, 32,  2},
			{ 39, GAME_PIECE_Ladder,      FLAG_VA,28, 16,  6},//110
			{ 40, GAME_PIECE_Ladder,      FLAG_VA,28, 24,  2},//110
			{ 41, GAME_PIECE_Ladder,      FLAG_VA,28, 32,  2},//110

			{ 42, GAME_PIECE_Bomb,        FLAG_VAS,        3,   84,  59},
			{ 43, GAME_PIECE_Bomb,        FLAG_VAS,       35,   84,  61},
			{ 44, GAME_PIECE_Bomb,        FLAG_VAS,        1,   46,  63},
			{ 45, GAME_PIECE_Bomb,        FLAG_VAS,       37,   46,  64},
			{ 46, GAME_PIECE_Bomb,        FLAG_VA,        10,   68,   0},
			{ 47, GAME_PIECE_Bomb,        FLAG_VA,        28,   68,   0},//110
			{ 48, GAME_PIECE_Bomb,        FLAG_VA,        19,   72,   0},
			{ 49, GAME_PIECE_Bomb,        FLAG_S,          3,   22,  67},
			{ 51, GAME_PIECE_Bomb,        FLAG_S,         35,   22,  69},
			{ 52, GAME_PIECE_Bomb,        FLAG_S,          3,   10,  65},
			{ 53, GAME_PIECE_Bomb,        FLAG_S,         35,   10,  66},
			{ 54, GAME_PIECE_Bomb,        FLAG_VAS,       19,   10,  56},
			{ 55, GAME_PIECE_Bomb,        FLAG_VAS,       19,   36,  57},

			{ 56, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   24,   0},
			{ 57, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   52,  58},
			{ 58, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   53,   0},
			{ 59, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   15,  60},
			{ 60, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   27,   0},
			{ 61, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   10,  62},
			{ 62, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   26,   0},
			{ 63, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   22,  69},
			{ 64, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   16,  67},
			{ 65, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   49,   0},
			{ 66, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   51,   0},
			{ 67, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   34,   0}, //68},
			{ 68, GAME_PIECE_Script,      FLAG_NONE, FLAG_NONE, 40,   0},
			{ 69, GAME_PIECE_Script,      FLAG_NONE, FLAG_VA,   35,   0}, //70},
			{ 70, GAME_PIECE_Script,      FLAG_NONE, FLAG_NONE, 37,   0},

			{ 71, GAME_PIECE_Bullet,      FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{ 72, GAME_PIECE_Bullet,      FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,13,0,
		0,0,0,8,
		false,
#ifdef JM_GRANDLOOP
		false,
#else
		true,
#endif
	},
#endif
#ifdef JM_INTERMEDIATE
	{
		"LOOK OUT BELOW",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    3, 80,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,    11,  8,  4},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_VAFH,  15,  8,  1},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,    16,  8,  2},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VAFH,  18,  8,  1},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,    19,  8,  2},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_VAFH,  21,  8,  1},
			{ 16, GAME_PIECE_Girder_Hor,  FLAG_VA,    22,  8,  2},
			{ 17, GAME_PIECE_Girder_Hor,  FLAG_VAFH,  24,  8,  1},
			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,    25,  8,  4},

			{ 19, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28,  4},
			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VAFH,   4, 28,  1},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,     5, 28,  5},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VAFH,  10, 28,  1},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,    11, 28,  5},

			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,    24, 28,  5},
			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VAFH,  29, 28,  1},
			{ 26, GAME_PIECE_Girder_Hor,  FLAG_VA,    30, 28,  5},
			{ 27, GAME_PIECE_Girder_Hor,  FLAG_VAFH,  35, 28,  1},
			{ 28, GAME_PIECE_Girder_Hor,  FLAG_VA,    36, 28,  4},

			{ 29, GAME_PIECE_Girder_Hor,  FLAG_VA,     5, 48,  2},
			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VAFH,   7, 48,  1},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_VA,     8, 48,  7},
			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VAFH,  15, 48,  1},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,    16, 48,  2},

			{ 34, GAME_PIECE_Girder_Hor,  FLAG_VA,    22, 48,  2},
			{ 35, GAME_PIECE_Girder_Hor,  FLAG_VAFH,  24, 48,  1},
			{ 36, GAME_PIECE_Girder_Hor,  FLAG_VA,    25, 48,  7},
			{ 37, GAME_PIECE_Girder_Hor,  FLAG_VAFH,  32, 48,  1},
			{ 38, GAME_PIECE_Girder_Hor,  FLAG_VA,    33, 48,  2},

			{ 39, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 68,  7},
			{ 40, GAME_PIECE_Girder_Hor,  FLAG_VAFH,   7, 68,  1},
			{ 41, GAME_PIECE_Girder_Hor,  FLAG_VA,     8, 68,  5},
			{ 42, GAME_PIECE_Girder_Hor,  FLAG_VA,    27, 68,  5},
			{ 43, GAME_PIECE_Girder_Hor,  FLAG_VAFH,  32, 68,  1},
			{ 44, GAME_PIECE_Girder_Hor,  FLAG_VA,    33, 68,  7},

			{ 45, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 10},
			{ 46, GAME_PIECE_Girder_Hor,  FLAG_VA,    13, 88,  5},
			{ 47, GAME_PIECE_Girder_Hor,  FLAG_VA,    22, 88,  5},
			{ 48, GAME_PIECE_Girder_Hor,  FLAG_VA,    30, 88, 10},

			{ 60, GAME_PIECE_Ladder,      FLAG_VA,    11,  4,  6},
			{ 61, GAME_PIECE_Ladder,      FLAG_VA,    27,  4,  6},
			{ 62, GAME_PIECE_Ladder,      FLAG_VA,     5, 24, 11},
			{ 63, GAME_PIECE_Ladder,      FLAG_VA,    33, 24, 11},
			{ 64, GAME_PIECE_Ladder,      FLAG_VA,    16, 44, 11},
			{ 65, GAME_PIECE_Ladder,      FLAG_VA,    22, 44, 11},
			{ 66, GAME_PIECE_Ladder,      FLAG_VA,     1, 64,  6},
			{ 67, GAME_PIECE_Ladder,      FLAG_VA,    37, 64,  6},

			{ 80, GAME_PIECE_Bomb,        FLAG_VAS,   17,  4,  100},
			{ 81, GAME_PIECE_Bomb,        FLAG_VAS,   21,  4,  101},
			{ 82, GAME_PIECE_Bomb,        FLAG_VAS,    0, 24,  102},
			{ 83, GAME_PIECE_Bomb,        FLAG_VAS,   14, 24,  103},
			{ 84, GAME_PIECE_Bomb,        FLAG_VAS,   24, 24,  104},
			{ 85, GAME_PIECE_Bomb,        FLAG_VAS,   38, 24,  105},
			{ 86, GAME_PIECE_Bomb,        FLAG_VAS,    9, 44,  106},
			{ 87, GAME_PIECE_Bomb,        FLAG_VAS,   29, 44,  107},
			{ 88, GAME_PIECE_Bomb,        FLAG_VAS,    9, 64,  108},
			{ 89, GAME_PIECE_Bomb,        FLAG_VAS,   29, 64,  109},
			{ 90, GAME_PIECE_Bomb,        FLAG_VAS,   13, 84,  110},
			{ 91, GAME_PIECE_Bomb,        FLAG_VAS,   25, 84,  111},
			{ 92, GAME_PIECE_Bomb,        FLAG_VAS,    8, 84,  112},
			{ 93, GAME_PIECE_Bomb,        FLAG_VAS,   30, 84,  113},

			{ 100, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 13,  0},
			{ 101, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 15,  0},
			{ 102, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 20,  0},
			{ 103, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 11,  0},
			{ 104, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 17,  0},
			{ 105, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 27,  0},
			{ 106, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 22,  0},
			{ 107, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 25,  0},
			{ 108, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 30,  0},
			{ 109, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 37,  0},
			{ 110, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 32,  0},
			{ 111, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 35,  0},
			{ 112, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 40,  0},
			{ 113, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 43,  0},

			{ 120, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,14,0,
		0,0,0,9,
		false,
		false,
	},
	{
		"HOT FOOT",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    19,  0,  SPECIAL_ABILITY_Hotfoot},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8,  6},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_NONE,   6,  8,  4},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,    16,  8,  8},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_NONE,  30,  8,  4},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,    34,  8,  6},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28,  6},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,    34, 28,  6},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,    16, 46,  8},
			{ 23, GAME_PIECE_Girder_Down, FLAG_VA,     8, 32,  5},
			{ 24, GAME_PIECE_Girder_Up,   FLAG_VA,    27, 36,  5},

			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 64,  6},
			{ 31, GAME_PIECE_Girder_Up,   FLAG_VA,     8, 58,  5},
			{ 32, GAME_PIECE_Girder_Down, FLAG_VA,    27, 54,  5},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,    34, 64,  6},

			{ 40, GAME_PIECE_Girder_Ver,  FLAG_NONE,  17, 60,  7},
			{ 41, GAME_PIECE_Girder_Ver,  FLAG_NONE,  22, 60,  7},
			{ 42, GAME_PIECE_Girder_Hor,  FLAG_NONE,   6, 84,  2},
			{ 43, GAME_PIECE_Girder_Hor,  FLAG_NONE,  32, 84,  2},
			{ 44, GAME_PIECE_Girder_Hor,  FLAG_NONE,   5, 86,  4},
			{ 45, GAME_PIECE_Girder_Hor,  FLAG_NONE,  31, 86,  4},

			{ 46, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 40},

			{ 50, GAME_PIECE_Ladder,      FLAG_VA,     2, 24,  4},
			{ 51, GAME_PIECE_Ladder,      FLAG_VA,     2, 40,  3},
			{ 52, GAME_PIECE_Ladder,      FLAG_VA,     2, 52,  9},

			{ 53, GAME_PIECE_Ladder,      FLAG_VA,    19,  4, 15},
			{ 54, GAME_PIECE_Ladder,      FLAG_VA,    19, 60,  2},
			{ 55, GAME_PIECE_Ladder,      FLAG_VA,    19, 68,  2},
			{ 56, GAME_PIECE_Ladder,      FLAG_VA,    19, 76,  3},

			{ 57, GAME_PIECE_Ladder,      FLAG_VA,    36, 24,  4},
			{ 58, GAME_PIECE_Ladder,      FLAG_VA,    36, 40,  3},
			{ 59, GAME_PIECE_Ladder,      FLAG_VA,    36, 52,  9},

			{ 65, GAME_PIECE_Rope_Up,     FLAG_VA,     0, 11,  2},
			{ 66, GAME_PIECE_Rope_Up,     FLAG_VA,    38, 11,  2},

			{ 70, GAME_PIECE_Bomb,        FLAG_VAS,    0,  4,  90}, // make 11 visible & active
			{ 71, GAME_PIECE_Bomb,        FLAG_VAS,   16,  4,   0},
			{ 72, GAME_PIECE_Bomb,        FLAG_VAS,   22,  4,   0},
			{ 73, GAME_PIECE_Bomb,        FLAG_VAS,   38,  4,  91}, // make 13 visible & active
			{ 74, GAME_PIECE_Bomb,        FLAG_VAS,    0, 24,   0},
			{ 75, GAME_PIECE_Bomb,        FLAG_VAS,   16, 42,  92}, // make 40 visible & active
			{ 76, GAME_PIECE_Bomb,        FLAG_VAS,   22, 42,  93}, // make 41 visible & active
			{ 77, GAME_PIECE_Bomb,        FLAG_VAS,   38, 24,   0},
			{ 78, GAME_PIECE_Bomb,        FLAG_VAS,    0, 60,  94}, // make 42,44 visible & active, make 58 invisible & inactive
			{ 79, GAME_PIECE_Bomb,        FLAG_VAS,   38, 60,  97}, // make 43,45 visible & active, make 51 invisible & inactive,
			{ 80, GAME_PIECE_Bomb,        FLAG_VAS,    6, 86,   0},
			{ 81, GAME_PIECE_Bomb,        FLAG_VAS,   13, 86, 100}, // make 42,44 visible & active, make 54 invisible & inactive,
			{ 82, GAME_PIECE_Bomb,        FLAG_VAS,   26, 86, 103}, // make 43,45 visible & active, make 55 invisible & inactive,
			{ 83, GAME_PIECE_Bomb,        FLAG_VAS,   32, 86,   0},

			{ 90, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   11,  0},
			{ 91, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   13,  0},
			{ 92, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   40,  0},
			{ 93, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   41,  0},
			{ 94, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   42, 95},
			{ 95, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   44, 96},
			{ 96, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 58,  0},
			{ 97, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   43, 98},
			{ 98, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   45, 99},
			{ 99, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 51,  0},
			{100, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   42,101},
			{101, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   44,102},
			{102, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 54,  0},
			{103, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   43,104},
			{104, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,   45,105},
			{105, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE, 55,  0},

			{110, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{111, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,14,0,
		0,0,0,10,
		false,
		false,
	},
	{
		"RUNAWAY",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    19, 80,  SPECIAL_ABILITY_None},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8, 40},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28, 40},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,     9, 48, 22},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 68, 15},
			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,    25, 68, 15},
			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 40},

			{ 40, GAME_PIECE_Ladder,      FLAG_VA,     3,  4, 21},
			{ 41, GAME_PIECE_Ladder,      FLAG_VA,    19,  4, 11},
			{ 42, GAME_PIECE_Ladder,      FLAG_VA,    35,  4, 21},
			{ 43, GAME_PIECE_Ladder,      FLAG_VA,    11, 44, 11},
			{ 44, GAME_PIECE_Ladder,      FLAG_VA,    27, 44, 11},

			{ 60, GAME_PIECE_Runaway_Bomb,        FLAG_VA,     0,  4,  0},
			{ 61, GAME_PIECE_Runaway_Bomb,        FLAG_VA,    38,  4,  0},
			{ 62, GAME_PIECE_Runaway_Bomb,        FLAG_VA,     0, 24,  0},
			{ 63, GAME_PIECE_Runaway_Bomb,        FLAG_VA,    38, 24,  0},
			{ 64, GAME_PIECE_Runaway_Bomb,        FLAG_VA,     0, 64,  0},
			{ 65, GAME_PIECE_Runaway_Bomb,        FLAG_VA,    38, 64,  0},
			{ 66, GAME_PIECE_Runaway_Bomb,        FLAG_VA,     0, 84,  0},
			{ 67, GAME_PIECE_Runaway_Bomb,        FLAG_VA,    38, 84,  0},
			{ 68, GAME_PIECE_Runaway_Bomb,        FLAG_VA,    15, 24,  0},
			{ 69, GAME_PIECE_Runaway_Bomb,        FLAG_VA,    23, 24,  0},
			{ 70, GAME_PIECE_Runaway_Bomb,        FLAG_VA,    15, 44,  0},
			{ 71, GAME_PIECE_Runaway_Bomb,        FLAG_VA,    23, 44,  0},

			{ 80, GAME_PIECE_Bullet,      FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{ 81, GAME_PIECE_Bullet,      FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,12,0,
		0,0,0,11,
		false,
		false,
	},
	{
		"ROBOTS II",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    18, 40,  SPECIAL_ABILITY_None},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8,  5},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,     9,  8, 14},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,    27,  8, 13},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28, 17},
			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,    21, 28, 19},
			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 48, 25},
			{ 26, GAME_PIECE_Girder_Hor,  FLAG_VA,    29, 48, 11},
			{ 27, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 68, 11},
			{ 28, GAME_PIECE_Girder_Hor,  FLAG_VA,    15, 68, 25},
			{ 29, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 25},
			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,    29, 88, 11},

			{ 40, GAME_PIECE_Ladder,      FLAG_VA,     0,  4,  6},
			{ 41, GAME_PIECE_Ladder,      FLAG_VA,     9,  4,  6},
			{ 42, GAME_PIECE_Ladder,      FLAG_VA,    21,  4, 21},
			{ 43, GAME_PIECE_Ladder,      FLAG_VA,    29,  4,  6},
			{ 44, GAME_PIECE_Ladder,      FLAG_VA,     5, 24,  6},
			{ 45, GAME_PIECE_Ladder,      FLAG_VA,    15, 24, 11},
			{ 45, GAME_PIECE_Ladder,      FLAG_VA,    38, 24,  6},
			{ 46, GAME_PIECE_Ladder,      FLAG_VA,     0, 44,  6},
			{ 47, GAME_PIECE_Ladder,      FLAG_VA,    29, 44,  6},
			{ 48, GAME_PIECE_Ladder,      FLAG_VA,     9, 64,  6},
			{ 48, GAME_PIECE_Ladder,      FLAG_VA,    38, 64,  6},

			{ 60, GAME_PIECE_Bomb,        FLAG_VA,     3,  4,  0},
			{ 61, GAME_PIECE_Bomb,        FLAG_VA,    15,  4,  0},
			{ 62, GAME_PIECE_Bomb,        FLAG_VA,    27,  4,  0},
			{ 63, GAME_PIECE_Bomb,        FLAG_VA,    38,  4,  0},
			{ 64, GAME_PIECE_Bomb,        FLAG_VA,     7, 24,  0},
			{ 65, GAME_PIECE_Bomb,        FLAG_VA,    25, 24,  0},
			{ 66, GAME_PIECE_Bomb,        FLAG_VA,    35, 24,  0},
			{ 67, GAME_PIECE_Bomb,        FLAG_VA,    10, 44,  0},
			{ 68, GAME_PIECE_Bomb,        FLAG_VA,    23, 44,  0},
			{ 69, GAME_PIECE_Bomb,        FLAG_VA,    35, 44,  0},
			{ 70, GAME_PIECE_Bomb,        FLAG_VA,     5, 64,  0},
			{ 71, GAME_PIECE_Bomb,        FLAG_VA,    25, 64,  0},
			{ 72, GAME_PIECE_Bomb,        FLAG_VA,    35, 64,  0},
			{ 73, GAME_PIECE_Bomb,        FLAG_VA,     0, 84,  0},
			{ 74, GAME_PIECE_Bomb,        FLAG_VA,    23, 84,  0},
			{ 75, GAME_PIECE_Bomb,        FLAG_VA,    35, 84,  0},

			{ 80, GAME_PIECE_Script, FLAG_NONE, FLAG_VA, 100, 81}, // why did i have this here?
			{ 81, GAME_PIECE_Script, FLAG_NONE, FLAG_VA, 101,  0}, // why did i have this here?

			{ 100, GAME_PIECE_Robot_2, FLAG_VA,  3,  0,  10},
			{ 101, GAME_PIECE_Robot_2, FLAG_VA,  3, 80,  11},
			{ 102, GAME_PIECE_Robot_2, FLAG_VA, 35,  0,  11},
			{ 103, GAME_PIECE_Robot_2, FLAG_VA, 35, 80,  11},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,16,0,
		0,0,0,12,
		false,
		false,
	},
	{
		"HAILSTONES",
		{
			{  1, GAME_PIECE_Jumpman   , FLAG_VA,  19, 80,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor, FLAG_VA,  0, 88, 40},
			{ 11, GAME_PIECE_Girder_Hor, FLAG_VA,  0,  8,  8},
			{ 12, GAME_PIECE_Girder_Hor, FLAG_VA, 32,  8,  8},
			{ 13, GAME_PIECE_Girder_Hor, FLAG_VA, 16,  8,  8},
			{ 14, GAME_PIECE_Girder_Hor, FLAG_VA, 15, 28, 10},
			{ 15, GAME_PIECE_Girder_Hor, FLAG_VA, 14, 48,  5},
			{ 16, GAME_PIECE_Girder_Hor, FLAG_VA, 21, 48,  5},
			{ 17, GAME_PIECE_Girder_Hor, FLAG_VA, 13, 68, 14},

			{ 30, GAME_PIECE_Rope_Up,   FLAG_VA, 14, 48,  5},
			{ 31, GAME_PIECE_Rope_Down, FLAG_VA, 24, 44,  8},

			{ 40, GAME_PIECE_Ladder, FLAG_VA,  1,  4, 21},
			{ 41, GAME_PIECE_Ladder, FLAG_VA, 37,  4, 21},
			{ 42, GAME_PIECE_Ladder, FLAG_VA, 19,  4,  7},
			{ 43, GAME_PIECE_Ladder, FLAG_VA, 16, 24,  6},
			{ 44, GAME_PIECE_Ladder, FLAG_VA, 22, 24,  6},
			{ 45, GAME_PIECE_Ladder, FLAG_VA, 19, 64,  6},

			{ 80, GAME_PIECE_Bomb, FLAG_VA,  6, 3,  0},
			{ 81, GAME_PIECE_Bomb, FLAG_VA, 16, 3,  0},
			{ 82, GAME_PIECE_Bomb, FLAG_VA, 22, 3,  0},
			{ 83, GAME_PIECE_Bomb, FLAG_VA, 32, 3,  0},

			{ 90, GAME_PIECE_Hailstone, FLAG_VA, 0, 0, BULLET_ACTION_None},
			{ 91, GAME_PIECE_Hailstone, FLAG_VA, 0, 0, BULLET_ACTION_None},
			{ 92, GAME_PIECE_Hailstone, FLAG_VA, 0, 0, BULLET_ACTION_None},
			{ 93, GAME_PIECE_Hailstone, FLAG_VA, 0, 0, BULLET_ACTION_None},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,4,0,
		0,0,0,13,
		false,
		false,
	},
	{
		"DRAGON SLAYER",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,     2,  2,  SPECIAL_ABILITY_Spear},


			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 10, 40},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_VA,     2, 36,  6},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,    16, 36, 22},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,     2, 62, 22},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,    32, 62,  6},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 40},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,    11, 28,  1},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,    12, 28,  1},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,    10, 30,  1},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,    13, 30,  1},
			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,     9, 32,  1},
			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VA,    14, 32,  1},
			{ 26, GAME_PIECE_Girder_Hor,  FLAG_VA,     8, 34,  1},
			{ 27, GAME_PIECE_Girder_Hor,  FLAG_VA,    15, 34,  1},

			{ 30, GAME_PIECE_Girder_Hor,  FLAG_NONE,  11, 30,  2},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_NONE,  10, 32,  4},
			{ 32, GAME_PIECE_Girder_Hor,  FLAG_NONE,   9, 34,  6},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_NONE,   8, 36,  8},

			{ 40, GAME_PIECE_Girder_Hor,  FLAG_VA,    27, 54,  1},
			{ 41, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 54,  1},
			{ 42, GAME_PIECE_Girder_Hor,  FLAG_VA,    26, 56,  1},
			{ 43, GAME_PIECE_Girder_Hor,  FLAG_VA,    29, 56,  1},
			{ 44, GAME_PIECE_Girder_Hor,  FLAG_VA,    25, 58,  1},
			{ 45, GAME_PIECE_Girder_Hor,  FLAG_VA,    30, 58,  1},
			{ 46, GAME_PIECE_Girder_Hor,  FLAG_VA,    24, 60,  1},
			{ 47, GAME_PIECE_Girder_Hor,  FLAG_VA,    31, 60,  1},

			{ 50, GAME_PIECE_Girder_Hor,  FLAG_NONE,  27, 56,  2},
			{ 51, GAME_PIECE_Girder_Hor,  FLAG_NONE,  26, 58,  4},
			{ 52, GAME_PIECE_Girder_Hor,  FLAG_NONE,  25, 60,  6},
			{ 53, GAME_PIECE_Girder_Hor,  FLAG_NONE,  24, 62,  8},


			{ 60, GAME_PIECE_Ladder,      FLAG_VA,    36,  4,  8},
			{ 61, GAME_PIECE_Ladder,      FLAG_VA,     2, 30,  8},
			{ 62, GAME_PIECE_Ladder,      FLAG_VA,    36, 56,  8},


			{ 70, GAME_PIECE_Rope_Up,     FLAG_VA,     0, 12, 18},
			{ 71, GAME_PIECE_Rope_Up,     FLAG_VA,    38, 12, 18},

			{ 80, GAME_PIECE_Spear,       FLAG_VA,     0,  0,  BULLET_ACTION_None},

			{ 81, GAME_PIECE_Bomb,        FLAG_VAS,    2, 84,  0},

			{ 85, GAME_PIECE_Dragon,      FLAG_VAW,    0, 80, 90},
			{ 86, GAME_PIECE_Dragon,      FLAG_VAW,    0, 80,110},

			// Dragon #1
			{ 90, GAME_PIECE_Waypoint_Root,      FLAG_NONE,     2,  20,           91}, // root
			{ 91, GAME_PIECE_Waypoint_List_Vec,  CMD_Delay,    15,  DIR_Right,    36}, // 0,1
			{ 92, GAME_PIECE_Waypoint_List_Vec,  DIR_Up,       26,  DIR_Left,     34}, // 2,3
			{ 93, GAME_PIECE_Waypoint_List_Vec,  CMD_Cmp_YLT,  12,  DIR_Up,       26}, // 4,5
			{ 94, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,    34,  CMD_Cmp_YLT,  15}, // 6,7
			{ 95, GAME_PIECE_Waypoint_List_Vec,  DIR_Up,       26,  DIR_Left,     36}, // 8,9
			{ 96, GAME_PIECE_Waypoint_List_Vec,  DIR_Down,     78,  CMD_Goto,      1}, // 10,11
			{ 97, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,      2,  DIR_Down,     26}, // 12,13
			{ 98, GAME_PIECE_Waypoint_List_Vec,  CMD_Goto,      1,  DIR_Right,     2}, // 14,15
			{ 99, GAME_PIECE_Waypoint_List_Vec,  DIR_Down,     52,  DIR_Left,      2}, // 16,17
			{100, GAME_PIECE_Waypoint_List_Vec,  CMD_Goto,      2,  DIR_None,      0}, // 18,19

			// Dragon #2
			{110, GAME_PIECE_Waypoint_Root,      FLAG_NONE,     2,  20,          111}, // root
			{111, GAME_PIECE_Waypoint_List_Vec,  CMD_Delay,    15,  CMD_Delay,    15}, // 0,1
			{112, GAME_PIECE_Waypoint_List_Vec,  CMD_Delay,    15,  DIR_Right,    36}, // 2,3
			{113, GAME_PIECE_Waypoint_List_Vec,  DIR_Up,       26,  DIR_Left,     34}, // 4,5
			{114, GAME_PIECE_Waypoint_List_Vec,  CMD_Cmp_YLT,  14,  DIR_Up,       26}, // 6,7
			{115, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,    34,  CMD_Cmp_YLT,  17}, // 8,9
			{116, GAME_PIECE_Waypoint_List_Vec,  DIR_Up,       26,  DIR_Left,     36}, // 10,11
			{117, GAME_PIECE_Waypoint_List_Vec,  DIR_Down,     78,  CMD_Goto,      3}, // 12,13
			{118, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,      2,  DIR_Down,     26}, // 14,15
			{119, GAME_PIECE_Waypoint_List_Vec,  CMD_Goto,      3,  DIR_Right,     2}, // 16,17
			{120, GAME_PIECE_Waypoint_List_Vec,  DIR_Down,     52,  DIR_Left,      2}, // 18,19
			{121, GAME_PIECE_Waypoint_List_Vec,  CMD_Goto,      4,  DIR_None,      0}, // 20,21


			{130, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   20,  131},
			{131, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   21,  132},
			{132, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,     30,  0},
			{133, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   22,  134},
			{134, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   23,  135},
			{135, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   30,  136},
			{136, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,     31,  0},
			{137, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   24,  138},
			{138, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   25,  139},
			{139, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   31,  140},
			{140, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,     32,  0},
			{141, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   26,  142},
			{142, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   27,  143},
			{143, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   32,  144},
			{144, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,     33,  0},


			{150, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   40,  151},
			{151, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   41,  152},
			{152, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,     50,  0},
			{153, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   42,  154},
			{154, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   43,  155},
			{155, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   50,  156},
			{156, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,     51,  0},
			{157, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   44,  158},
			{158, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   45,  159},
			{159, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   51,  160},
			{160, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,     52,  0},
			{161, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   46,  162},
			{162, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   47,  163},
			{163, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,   52,  164},
			{164, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,     53,  0},
			

			{170, GAME_PIECE_Timer,  FLAG_NONE, 0x1, 0x90, 130},
			{171, GAME_PIECE_Timer,  FLAG_NONE, 0x3, 0x20, 133},
			{172, GAME_PIECE_Timer,  FLAG_NONE, 0x4, 0xb0, 137},
			{173, GAME_PIECE_Timer,  FLAG_NONE, 0x6, 0x40, 141},
			{174, GAME_PIECE_Timer,  FLAG_NONE, 0x7, 0xd0, 150},
			{175, GAME_PIECE_Timer,  FLAG_NONE, 0x9, 0x60, 153},
			{176, GAME_PIECE_Timer,  FLAG_NONE, 0xa, 0xf0, 157},
			{177, GAME_PIECE_Timer,  FLAG_NONE, 0xc, 0x80, 161},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,1,0,
		0,0,0,14,
		false,
		false,
	},
	{
		"GRAND PUZZLE II",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_A,     19,  2,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8, 40},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28, 10},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,    12, 28, 16},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,    30, 28, 10},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 48, 40},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 68, 10},
			{ 16, GAME_PIECE_Girder_Hor,  FLAG_VA,    12, 68, 16},
			{ 17, GAME_PIECE_Girder_Hor,  FLAG_VA,    30, 68, 10},
			{ 18, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 40},

			{ 30, GAME_PIECE_Ladder,      FLAG_VA,     3,  4, 21},
			{ 31, GAME_PIECE_Ladder,      FLAG_VA,    35,  4, 21},

			{ 40, GAME_PIECE_Rope_Up,     FLAG_NONE,  19, 11,  2},

			{ 50, GAME_PIECE_Bomb,        FLAG_VAS,    0,  4,  72}, // jm vis, rope vis
			{ 51, GAME_PIECE_Bomb,        FLAG_VAS,    9,  4,  70}, // jm vis
			{ 52, GAME_PIECE_Bomb,        FLAG_VAS,   29,  4,  70}, // jm vis
			{ 53, GAME_PIECE_Bomb,        FLAG_VAS,   38,  4,  74}, // jm vis, open left 2nd floor door
			{ 54, GAME_PIECE_Bomb,        FLAG_VAS,    0, 24,  76}, // jm vis, rope invis
			{ 55, GAME_PIECE_Bomb,        FLAG_VAS,   38, 24,  71}, // jm invis
			{ 56, GAME_PIECE_Bomb,        FLAG_VAS,    0, 55,  71}, // jm invis
			{ 57, GAME_PIECE_Bomb,        FLAG_VAS,   38, 55,  78}, // jm vis, open right 2nd floor door
			{ 58, GAME_PIECE_Bomb,        FLAG_VAS,    9, 84,  70}, // jm vis
			{ 59, GAME_PIECE_Bomb,        FLAG_VAS,   29, 84,  70}, // jm vis

			{ 60, GAME_PIECE_Jewel,       FLAG_VAS,   19, 22,  80}, // jm vis, bonus, close both 4th floor doors
			{ 61, GAME_PIECE_Jewel,       FLAG_VAS,   19, 42,  84}, // jm vis, bonus
			{ 62, GAME_PIECE_Jewel,       FLAG_VAS,   19, 62,  86}, // jm vis, bonus, close right 2nd floor door
			{ 63, GAME_PIECE_Jewel,       FLAG_VAS,   19, 82,  89}, // jm vis, bonus, close both 1st floor doors

			{ 70, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,     1,    0}, // jm vis
			{ 71, GAME_PIECE_Script, FLAG_NONE,  FLAG_A,      1,    0}, // jm invis
			{ 72, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,     1,   73}, // jm vis
			{ 73, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,    40,    0}, // rope vis
			{ 74, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,     1,   75}, // jm vis
			{ 75, GAME_PIECE_Script, FLAG_OPEN,  FLAG_VA,   104,    0}, // open left 2nd floor door
			{ 76, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,     1,   77}, // jm vis
			{ 77, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  40,    0}, // rope invis
			{ 78, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,     1,   79}, // jm vis
			{ 79, GAME_PIECE_Script, FLAG_OPEN,  FLAG_VA,   105,    0}, // open right 2nd floor door
			{ 80, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,     1,   81}, // jm vis
			{ 81, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE,  50,   82}, // bonus
			{ 82, GAME_PIECE_Script, FLAG_CLOSE, FLAG_VA,   100,   83}, // close left 4th floor door
			{ 83, GAME_PIECE_Script, FLAG_CLOSE, FLAG_VA,   101,    0}, // close right 4th floor door
			{ 84, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,     1,   85}, // jm vis
			{ 85, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE,  50,    0}, // bonus
			{ 86, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,     1,   87}, // jm vis
			{ 87, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE,  50,   88}, // bonus
			{ 88, GAME_PIECE_Script, FLAG_CLOSE, FLAG_VA,   104,    0}, // close right 2nd floor door
			{ 89, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,     1,   90}, // jm vis
			{ 90, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE,  50 ,  91}, // bonus
			{ 91, GAME_PIECE_Script, FLAG_CLOSE, FLAG_VA,   106,   92}, // close left 1st floor door
			{ 92, GAME_PIECE_Script, FLAG_CLOSE, FLAG_VA,   107,    0}, // close right 1st floor door
			{ 93, GAME_PIECE_Script, FLAG_OPEN,  FLAG_VA,   106,   94}, // open left 1st floor door
			{ 94, GAME_PIECE_Script, FLAG_OPEN,  FLAG_VA,   107,    0}, // open right 1st floor door

			{100, GAME_PIECE_Door, FLAG_VA, 17,  11, (17 << 3) | CMD_Open},
			{101, GAME_PIECE_Door, FLAG_VA, 22,  11, (17 << 3) | CMD_Open},
			{102, GAME_PIECE_Door, FLAG_VA | FLAG_TOGGLE, 17,  31, (17 << 3) | CMD_Open},
			{103, GAME_PIECE_Door, FLAG_VA | FLAG_TOGGLE, 22,  31, (17 << 3) | CMD_Close},
			{104, GAME_PIECE_Door, FLAG_VA, 17,  51, (17 << 3) | CMD_Close},
			{105, GAME_PIECE_Door, FLAG_VA, 22,  51, (17 << 3) | CMD_Close},
			{106, GAME_PIECE_Door, FLAG_VA, 17,  71, (17 << 3) | CMD_Open},
			{107, GAME_PIECE_Door, FLAG_VA, 22,  71, (17 << 3) | CMD_Open},

			{110, GAME_PIECE_Trigger,  FLAG_AS,     8,  84,  93}, // jm vis, rope vis
			{111, GAME_PIECE_Trigger,  FLAG_AS,    10,  84,  91}, // jm vis, rope vis
			{112, GAME_PIECE_Trigger,  FLAG_AS,    12,  84,  91}, // jm vis, rope vis
			{113, GAME_PIECE_Trigger,  FLAG_AS,    14,  84,  91}, // jm vis, rope vis
			{114, GAME_PIECE_Trigger,  FLAG_AS,    16,  84,  91}, // jm vis, rope vis
			{115, GAME_PIECE_Trigger,  FLAG_AS,    23,  84,  91}, // jm vis, rope vis
			{116, GAME_PIECE_Trigger,  FLAG_AS,    25,  84,  91}, // jm vis, rope vis
			{117, GAME_PIECE_Trigger,  FLAG_AS,    27,  84,  91}, // jm vis, rope vis
			{118, GAME_PIECE_Trigger,  FLAG_AS,    29,  84,  91}, // jm vis, rope vis
			{119, GAME_PIECE_Trigger,  FLAG_AS,    31,  84,  93}, // jm vis, rope vis

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,10,0,
		0,0,0,15,
		false,
		false,
	},
	{
		"RIDE AROUND",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    3, 80,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Waypoint_Root,  FLAG_NONE, 1, 4, 11},
			{ 11, GAME_PIECE_Waypoint_List_Pos,  10,  88,  26,  88},
			{ 12, GAME_PIECE_Waypoint_List_Pos,  26,  48,  10,  48},

			{ 15, GAME_PIECE_Waypoint_Root,  FLAG_NONE, 1, 4, 16},
			{ 16, GAME_PIECE_Waypoint_List_Pos,  26,  48,  10,  48},
			{ 17, GAME_PIECE_Waypoint_List_Pos,  10,  88,  26,  88},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8,  5},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,     9,  8,  5},
			{ 22, GAME_PIECE_Girder_Down, FLAG_VA,    14,  9,  3},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,    17, 12,  6},
			{ 24, GAME_PIECE_Girder_Up,   FLAG_VA,    23, 11,  3},
			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VA,    26,  8,  5},
			{ 26, GAME_PIECE_Girder_Hor,  FLAG_VA,    35,  8,  5},
			{ 27, GAME_PIECE_Girder_Hor,  FLAG_VA,     6, 28,  7},
			{ 28, GAME_PIECE_Girder_Hor,  FLAG_VA,    27, 28,  7},
			{ 29, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 48,  9},
			//{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,    18, 48,  4},
			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,    31, 48,  9},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 68,  5},
			//{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,     7, 68,  4},
			//{ 33, GAME_PIECE_Girder_Down, FLAG_VA,    11, 69,  5},
			 { 32, GAME_PIECE_Girder_Hor,  FLAG_VA,     7, 68,  3},
			 { 33, GAME_PIECE_Girder_Down, FLAG_VA,    14, 72,  2},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,    16, 74,  8},
			//{ 33, GAME_PIECE_Girder_Up,   FLAG_VA,    24, 73,  5},
			//{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,    29, 68,  4},
			 { 33, GAME_PIECE_Girder_Up,   FLAG_VA,    24, 73,  2},
			 { 33, GAME_PIECE_Girder_Hor,  FLAG_VA,    30, 68,  3},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,    35, 68,  7},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 10},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,    30, 88, 10},

			{ 40, GAME_PIECE_Ladder,      FLAG_VA,    11,  4,  6},
			{ 41, GAME_PIECE_Ladder,      FLAG_VA,    27,  4,  6},
			{ 50, GAME_PIECE_Ladder,      FLAG_VA,     7, 24, 16},
			{ 51, GAME_PIECE_Ladder,      FLAG_VA,    31, 24, 16},
			{ 52, GAME_PIECE_Ladder,      FLAG_VA,     3, 44, 11},
			{ 53, GAME_PIECE_Ladder,      FLAG_VA,    35, 44, 11},
			//{ 54, GAME_PIECE_Ladder,      FLAG_VA,    19, 70,  5},
			 { 54, GAME_PIECE_Ladder,      FLAG_VA,    19, 70,  4},

			{ 50, GAME_PIECE_Girder_Hor,  FLAG_VAMW,  10, 48,  (10 << 3) | 4},
			{ 51, GAME_PIECE_Girder_Hor,  FLAG_VAMW,  26, 88,  (15 << 3) | 4},

			{ 60, GAME_PIECE_Bomb,        FLAG_VA,     0,  2,  100},
			{ 61, GAME_PIECE_Bomb,        FLAG_VA,    15,  0,  101},
			{ 62, GAME_PIECE_Bomb,        FLAG_VA,    23,  0,  102},
			{ 63, GAME_PIECE_Bomb,        FLAG_VA,    38,  2,  103},
			{ 64, GAME_PIECE_Bomb,        FLAG_VA,     7, 20,  104},
			{ 65, GAME_PIECE_Bomb,        FLAG_VA,    31, 20,  105},
			{ 66, GAME_PIECE_Bomb,        FLAG_VA,    14, 40,  106},
			{ 67, GAME_PIECE_Bomb,        FLAG_VA,    24, 40,  107},
			{ 68, GAME_PIECE_Bomb,        FLAG_VA,     0, 64,  108},
			{ 69, GAME_PIECE_Bomb,        FLAG_VA,    38, 64,  109},
			{ 70, GAME_PIECE_Bomb,        FLAG_VA,     0, 84,  106},
			{ 71, GAME_PIECE_Bomb,        FLAG_VA,    14, 84,  107},
			{ 72, GAME_PIECE_Bomb,        FLAG_VA,    24, 84,  108},
			{ 73, GAME_PIECE_Bomb,        FLAG_VA,    38, 84,  109},

			{ 100, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 13,  0},
			{ 101, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 15,  0},
			{ 102, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 20,  0},
			{ 103, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 11,  0},
			{ 104, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 17,  0},
			{ 105, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 27,  0},
			{ 106, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 22,  0},
			{ 107, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 25,  0},
			{ 108, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 30,  0},
			{ 109, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 37,  0},
			{ 110, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 32,  0},
			{ 111, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 35,  0},
			{ 112, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 40,  0},
			{ 113, GAME_PIECE_Script, FLAG_NONE, FLAG_VAF, 43,  0},

			{ 120, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{ 121, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,14,0,
		0,0,0,16,
		false,
		false,
	},
	{
		"THE ROOST",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_A,     0,  80,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 18,  4},
			{ 11, GAME_PIECE_Girder_Up,   FLAG_VA,     4, 17,  4},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,     8, 13,  4},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,    16,  8,  1},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,    23,  8,  1},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 13,  4},
			{ 16, GAME_PIECE_Girder_Down, FLAG_VA,    32, 14,  4},
			{ 17, GAME_PIECE_Girder_Hor,  FLAG_VA,    36, 18,  4},

			{ 18, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 38,  4},
			{ 19, GAME_PIECE_Girder_Down, FLAG_VA,     4, 39,  4},
			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     8, 43,  4},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,    17, 32,  6},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 43,  4},
			{ 23, GAME_PIECE_Girder_Up,   FLAG_VA,    32, 42,  4},
			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,    36, 38,  4},

			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 68,  4},
			{ 26, GAME_PIECE_Girder_Up,   FLAG_VA,     4, 67,  4},
			{ 27, GAME_PIECE_Girder_Hor,  FLAG_VA,     8, 63,  4},
			{ 28, GAME_PIECE_Girder_Hor,  FLAG_VA,    17, 63,  6},
			{ 29, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 63,  4},
			{ 30, GAME_PIECE_Girder_Down, FLAG_VA,    32, 64,  4},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_VA,    36, 68,  4},

			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 40},

			{ 90, GAME_PIECE_Ladder,      FLAG_VA,     0, 14,  6},
			{ 91, GAME_PIECE_Ladder,      FLAG_VA,    10, 39,  6},
			{ 92, GAME_PIECE_Ladder,      FLAG_VA,     0, 64,  6},
			{ 93, GAME_PIECE_Ladder,      FLAG_VA,    38, 14,  6},
			{ 94, GAME_PIECE_Ladder,      FLAG_VA,    28, 39,  6},
			{ 95, GAME_PIECE_Ladder,      FLAG_VA,    38, 64,  6},
			{ 96, GAME_PIECE_Ladder,      FLAG_VA,    17, 27,  9},
			{ 95, GAME_PIECE_Ladder,      FLAG_VA,    21, 27,  9},

			{100, GAME_PIECE_Bomb,        FLAG_VA,    5, 11,   0},
			{101, GAME_PIECE_Bomb,        FLAG_VA,   15,  4,   0},
			{102, GAME_PIECE_Bomb,        FLAG_VA,   23,  4,   0},
			{103, GAME_PIECE_Bomb,        FLAG_VA,   33, 11,   0},
			{104, GAME_PIECE_Bomb,        FLAG_VA,    5, 36,   0},
			{105, GAME_PIECE_Bomb,        FLAG_VA,   33, 36,   0},
			{106, GAME_PIECE_Bomb,        FLAG_VA,    5, 84,   0},
			{107, GAME_PIECE_Bomb,        FLAG_VA,   15, 84,   0},
			{108, GAME_PIECE_Bomb,        FLAG_VA,   23, 84,   0},
			{109, GAME_PIECE_Bomb,        FLAG_VA,   33, 84,   0},

			{120, GAME_PIECE_Falcon,      FLAG_VA,  19, 80,  130},
			{121, GAME_PIECE_Falcon,      FLAG_VA,  14, 80,  150},
			{122, GAME_PIECE_Falcon,      FLAG_VA,  24, 80,  150},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,10,0,
		0,0,0,17,
		false,
		false,
	},
	{
		"ROLL ME OVER",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_A,     4,  0,  SPECIAL_ABILITY_None},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8,  8},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,    12,  8,  5},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,    23,  8,  5},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,    32,  8,  8},

			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  26,  4},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_VA,     6,  27,  1},
			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,    10,  28,  4},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,    17,  28,  6},
			{ 34, GAME_PIECE_Girder_Hor,  FLAG_VA,    26,  28,  4},
			{ 35, GAME_PIECE_Girder_Hor,  FLAG_VA,    33,  27,  1},
			{ 36, GAME_PIECE_Girder_Hor,  FLAG_VA,    36,  26,  4},

			{ 40, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 48-2, 4},
			{ 41, GAME_PIECE_Girder_Down, FLAG_VA,     4, 49-2, 3},
			{ 42, GAME_PIECE_Girder_Up,   FLAG_VA,     7, 50-2, 2},
			{ 43, GAME_PIECE_Girder_Hor,  FLAG_VA,     9, 48-2, 5},
			{ 44, GAME_PIECE_Girder_Down, FLAG_VA,    14, 49-2, 3},
			{ 45, GAME_PIECE_Girder_Hor,  FLAG_VA,    17, 52-2, 6},
			{ 46, GAME_PIECE_Girder_Up,   FLAG_VA,    23, 51-2, 3},
			{ 47, GAME_PIECE_Girder_Hor,  FLAG_VA,    26, 48-2, 5},
			{ 48, GAME_PIECE_Girder_Down, FLAG_VA,    31, 49-2, 2},
			{ 49, GAME_PIECE_Girder_Up,   FLAG_VA,    33, 51-2, 3},
			{ 50, GAME_PIECE_Girder_Hor,  FLAG_VA,    36, 48-2, 4},

			{ 60, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 66,  7},
			{ 61, GAME_PIECE_Girder_Down, FLAG_VA,     7, 67,  8},
			{ 62, GAME_PIECE_Girder_Hor,  FLAG_VA,    15, 74, 10},
			{ 63, GAME_PIECE_Girder_Up,   FLAG_VA,    25, 73,  8},
			{ 64, GAME_PIECE_Girder_Hor,  FLAG_VA,    33, 66,  7},

			{ 70, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 40},

			{ 75, GAME_PIECE_Rope_Down,   FLAG_VA,    11, 26,  3},
			{ 76, GAME_PIECE_Rope_Down,   FLAG_VA,    27, 26,  3},

			{ 80, GAME_PIECE_Rope_Up,     FLAG_VA,     3, 27,  3},
			{ 81, GAME_PIECE_Rope_Up,     FLAG_VA,    35, 27,  3},
			{ 82, GAME_PIECE_Rope_Up,     FLAG_VA,    10, 48,  3},
			{ 83, GAME_PIECE_Rope_Up,     FLAG_VA,    28, 48,  3},
			{ 84, GAME_PIECE_Rope_Up,     FLAG_VA,     4, 68,  3},
			{ 85, GAME_PIECE_Rope_Up,     FLAG_VA,    34, 68,  3},

			{ 90, GAME_PIECE_Ladder,      FLAG_VA,     1,  6,  5},
			{ 91, GAME_PIECE_Ladder,      FLAG_VA,    37,  6,  5},
			{ 92, GAME_PIECE_Ladder,      FLAG_VA,    19, 26, 12},
			{ 93, GAME_PIECE_Ladder,      FLAG_VA,     1, 44, 11},
			{ 94, GAME_PIECE_Ladder,      FLAG_VA,    16, 72,  4},
			{ 95, GAME_PIECE_Ladder,      FLAG_VA,    22, 72,  4},
			{ 96, GAME_PIECE_Ladder,      FLAG_VA,    37, 44, 11},

			{100, GAME_PIECE_Bomb,        FLAG_VA,    5,  4,  100},
			{101, GAME_PIECE_Bomb,        FLAG_VA,   13,  4,  101},
			{102, GAME_PIECE_Bomb,        FLAG_VA,   25,  4,  102},
			{103, GAME_PIECE_Bomb,        FLAG_VA,   33,  4,  103},
			{104, GAME_PIECE_Bomb,        FLAG_VA,    5, 41,  104},
			{105, GAME_PIECE_Bomb,        FLAG_VA,   33, 41,  105},
			{106, GAME_PIECE_Bomb,        FLAG_VA,    5, 59,  106},
			{107, GAME_PIECE_Bomb,        FLAG_VA,   13, 61,  107},
			{108, GAME_PIECE_Bomb,        FLAG_VA,   25, 61,  108},
			{109, GAME_PIECE_Bomb,        FLAG_VA,   33, 59,    0},
			{110, GAME_PIECE_Bomb,        FLAG_VA,    7, 76,    0},
			{111, GAME_PIECE_Bomb,        FLAG_VA,   31, 76,  109},

			{120, GAME_PIECE_Barrel,      FLAG_VAW,  19, 66,  130},
			{121, GAME_PIECE_Barrel,      FLAG_VAW,  19, 66,  150},


			// Barrel #1
			{130, GAME_PIECE_Waypoint_Root,      FLAG_NONE,     4,  10,          131}, // root
			{131, GAME_PIECE_Waypoint_List_Vec,  DIR_Up,       36,  DIR_Down,     36},
			{132, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,     3,  DIR_Down,     14},
			{133, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,    16,  DIR_Left,     38},
			{134, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,    16,  DIR_Up,       14},
			{135, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,     3,  CMD_Goto,      0},

			// Barrel #2
			{150, GAME_PIECE_Waypoint_Root,      FLAG_NONE,     2,  22,          151}, // root
			{151, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,      3,  DIR_Down,     14},
			{152, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,     12,  DIR_Up,       22},
			{153, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,      3,  DIR_Up,       20},
			{154, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,    18,  DIR_Down,     24},
			{155, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,     9,  DIR_Up,       22},
			{156, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,     9,  DIR_Down,     20},
			{157, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,     18,  CMD_Goto,      0},


			{170, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{171, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,12,0,
		0,0,0,18,
		false,
#ifdef JM_GRANDLOOP
		false,
#else
		true,
#endif
	},
#endif
#ifdef JM_ADVANCED
	{
		"LADDER CHALLENGE",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_A,     19, 80,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 12,  6},
			{ 11, GAME_PIECE_Girder_Up,   FLAG_VA,     6, 11,  3},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,     9,  8,  5},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,    18,  8,  4},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,    26,  8,  5},
			{ 15, GAME_PIECE_Girder_Down, FLAG_VA,    31,  9,  3},
			{ 16, GAME_PIECE_Girder_Hor,  FLAG_VA,    34, 12,  6},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 30, 12},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,    12, 30,  8},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,    20, 30,  8},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 30, 12},

			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 48, 12},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_VA,    12, 48,  8},
			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,    20, 48,  8},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 48, 12},

			{ 40, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 66,  4},
			{ 41, GAME_PIECE_Girder_Down, FLAG_VA,     4, 67,  3},
			{ 42, GAME_PIECE_Girder_Hor,  FLAG_VA,     7, 70,  4},
			{ 43, GAME_PIECE_Girder_Hor,  FLAG_VA,    16, 70,  8},
			{ 44, GAME_PIECE_Girder_Hor,  FLAG_VA,    29, 70,  4},
			{ 45, GAME_PIECE_Girder_Up,   FLAG_VA,    33, 69,  3},
			{ 46, GAME_PIECE_Girder_Hor,  FLAG_VA,    36, 66,  4},

			{ 50, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 40},

			{ 60, GAME_PIECE_Ladder,      FLAG_VA,     0, 10,  5},
			{ 61, GAME_PIECE_Ladder,      FLAG_VA,    38, 10,  5},
			{ 62, GAME_PIECE_Ladder,      FLAG_VA,     8, 28,  5},
			{ 63, GAME_PIECE_Ladder,      FLAG_VA,    30, 28,  5},
			{ 64, GAME_PIECE_Ladder,      FLAG_VA,     0, 46,  5},
			{ 65, GAME_PIECE_Ladder,      FLAG_VA,    38, 46,  5},
			{ 66, GAME_PIECE_Ladder,      FLAG_VA,     8, 68,  5},
			{ 67, GAME_PIECE_Ladder,      FLAG_VA,    30, 68,  5},

			{ 70, GAME_PIECE_Ladder,       FLAG_VAMX,   71, 72,  6}, // the Sreddal
			{ 71, GAME_PIECE_Moving_Data,  FLAG_D_DIAG, 19,  40,  2<<4 | 1}, // Sreddal movement data
			{ 72, GAME_PIECE_Boundary_Data,         13, 12, 27, 70}, // Sreddal boundaries

			{ 80, GAME_PIECE_Bomb,        FLAG_VA,    12,  4,  0},
			{ 81, GAME_PIECE_Bomb,        FLAG_VA ,   26,  4,  0},
			{ 82, GAME_PIECE_Bomb,        FLAG_NONE,  13, 18,  0},
			{ 83, GAME_PIECE_Bomb,        FLAG_NONE,  25, 18,  0},
			{ 84, GAME_PIECE_Bomb,        FLAG_VAS,    5, 36,100}, // girder22 invis, bomb83 vis
			{ 85, GAME_PIECE_Bomb,        FLAG_NONE,  13, 36,  0},
			{ 86, GAME_PIECE_Bomb,        FLAG_NONE,  25, 36,  0},
			{ 87, GAME_PIECE_Bomb,        FLAG_VAS,   33, 36,102}, // girder21 invis, bomb82 vis
			{ 88, GAME_PIECE_Bomb,        FLAG_VA,    13, 58,  0},
			{ 89, GAME_PIECE_Bomb,        FLAG_VA,    25, 58,  0},
			{ 90, GAME_PIECE_Bomb,        FLAG_VAS,    0, 84,104}, // girder32 invis, bomb86 vis
			{ 91, GAME_PIECE_Bomb,        FLAG_VA,    15, 84,  0},
			{ 92, GAME_PIECE_Bomb,        FLAG_VA,    23, 84,  0},
			{ 93, GAME_PIECE_Bomb,        FLAG_VAS,   38, 84,106}, // girder31 invis, bomb85 vis

			{100, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  22,  101},
			{101, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,    83,    0},
			{102, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  21,  103},
			{103, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,    82,    0},
			{104, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  32,  105},
			{105, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,    86,    0},
			{106, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  31,  107},
			{107, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,    85,    0},

			{120, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,14,0,
		TOGGLE_BIT_Girder | TOGGLE_BIT_Rope_Up,0,0,19,
		false,
		false,
	},
	{
		"FIGURIT",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    2,  80,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8, 11},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_VA,    11,  8, 11},
			{ 12, GAME_PIECE_Girder_Down, FLAG_VA,    22,  9, 16},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,    38, 25,  2},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 26, 22},
			{ 21, GAME_PIECE_Girder_Up,   FLAG_NONE,  22, 25, 16},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_NONE,  38,  9,  2},

			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 44,  6},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_VA,     6, 44,  5},
			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,    19, 44, 21},

			{ 40, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 62,  4},
			{ 41, GAME_PIECE_Girder_Hor,  FLAG_VA,     4, 62,  7},

			{ 50, GAME_PIECE_Girder_Hor,  FLAG_VA,     9, 73,  4},
			{ 51, GAME_PIECE_Girder_Hor,  FLAG_VA,    13, 70,  6},
			{ 52, GAME_PIECE_Girder_Hor,  FLAG_VA,    19, 70, 15},
			{ 53, GAME_PIECE_Girder_Hor,  FLAG_NONE,  19, 73, 15},
			{ 54, GAME_PIECE_Girder_Hor,  FLAG_VA,    34, 70,  6},

			{ 60, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 22},
			{ 61, GAME_PIECE_Girder_Hor,  FLAG_VA,    22, 88,  9},
			{ 62, GAME_PIECE_Girder_Hor,  FLAG_VA,    31, 88,  9},

			{ 70, GAME_PIECE_Rope_Up,     FLAG_NONE,    0, 28, 2},
			{ 71, GAME_PIECE_Rope_Up,     FLAG_VA,     30, 20, 4},
			{ 72, GAME_PIECE_Rope_Up,     FLAG_VA,     20, 46, 5},
			{ 73, GAME_PIECE_Rope_Up,     FLAG_VA,     26, 46, 5},
			{ 74, GAME_PIECE_Rope_Up,     FLAG_VA,     32, 46, 5},

			{ 80, GAME_PIECE_Rope_Down,   FLAG_NONE,   10,  3, 4},
			{ 81, GAME_PIECE_Rope_Down,   FLAG_VA,     24, 38, 7},
			{ 82, GAME_PIECE_Rope_Down,   FLAG_VA,     28, 38, 7},

			{ 90, GAME_PIECE_Ladder,      FLAG_VA,    14, 22, 12},
			{ 91, GAME_PIECE_Ladder,      FLAG_VA,     2, 60,  2},
			{ 92, GAME_PIECE_Ladder,      FLAG_VA,     2, 68,  1},
			{ 93, GAME_PIECE_Ladder,      FLAG_VA,     2, 72,  1},
			{ 94, GAME_PIECE_Ladder,      FLAG_VA,     2, 76,  3},
			{ 95, GAME_PIECE_Ladder,      FLAG_VA,    36, 40,  3},
			{ 96, GAME_PIECE_Ladder,      FLAG_VA,    36, 52,  1},
			{ 97, GAME_PIECE_Ladder,      FLAG_VA,    36, 56,  1},
			{ 98, GAME_PIECE_Ladder,      FLAG_VA,    36, 60,  7},

			{100, GAME_PIECE_Bomb,        FLAG_VAS,    7,  4,  120}, // 80i
			{101, GAME_PIECE_Bomb,        FLAG_VAS,   38,  2,  121}, // 70v
			{102, GAME_PIECE_Bomb,        FLAG_VAS,    0, 22,  122}, // 11i
			{103, GAME_PIECE_Bomb,        FLAG_VAS,    4, 40,  123}, // 31i,52i,53v
			{104, GAME_PIECE_Bomb,        FLAG_VA,    22, 45,    0}, // nothing
			{105, GAME_PIECE_Bomb,        FLAG_VA,    30, 45,    0}, // nothing
			{106, GAME_PIECE_Bomb,        FLAG_VAS,   38, 40,  126}, // 96i
			{107, GAME_PIECE_Bomb,        FLAG_VAS,    0, 58,  127}, // 93i
			{108, GAME_PIECE_Bomb,        FLAG_VAS,   10, 69,  128}, // 12i,13i,21v,22v,71v
			{109, GAME_PIECE_Bomb,        FLAG_VAS,   38, 66,  133}, // 97i,41i
			{110, GAME_PIECE_Bomb,        FLAG_VAS,    0, 84,  135}, // 92i
			{111, GAME_PIECE_Bomb,        FLAG_VAS,   10, 84,  136}, // 50i
			{112, GAME_PIECE_Bomb,        FLAG_VA,    20, 84,    0}, // nothing
			{113, GAME_PIECE_Bomb,        FLAG_VAS,   31, 84,  137}, // 61i

			{120, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,    80,  0},
			{121, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,    70,  0},
			{122, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  11,  0},
			{123, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  31,124},
			{124, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  52,125},
			{125, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,    53,  0},
			{126, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  96,  0},
			{127, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  93,  0},
			{128, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  12,129},
			{129, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  13,130},
			{130, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,    21,131},
			{131, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,    22,132},
			{132, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,    71,  0},
			{133, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  97,134},
			{134, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  41,  0},
			{135, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  92,  0},
			{136, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  50,  0},
			{137, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  61,  0},

			{150, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{151, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,14,0,
		TOGGLE_BIT_Girder | TOGGLE_BIT_Rope_Up,0,0,20,
		false,
		false,
	},
	{
		"JUMP-N-RUN",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    19, 28,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8,  6},
			{ 11, GAME_PIECE_Girder_Down, FLAG_VA,     6,  9,  4},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,    10, 13,  2},
			{ 13, GAME_PIECE_Girder_Up,   FLAG_VA,    12, 12,  4},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,    16,  8,  8},
			{ 15, GAME_PIECE_Girder_Down, FLAG_VA,    24,  9,  4},
			{ 16, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 13,  2},
			{ 17, GAME_PIECE_Girder_Up,   FLAG_VA,    30, 12,  4},
			{ 18, GAME_PIECE_Girder_Hor,  FLAG_VA,    34,  8,  6},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28,  6},
			{ 21, GAME_PIECE_Girder_Down, FLAG_VA,     6, 29,  4},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,    10, 33,  4},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,    17, 36,  6},
			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,    26, 33,  4},
			{ 25, GAME_PIECE_Girder_Up,   FLAG_VA,    30, 32,  4},
			{ 26, GAME_PIECE_Girder_Hor,  FLAG_VA,    34, 28,  6},

			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 52,  8},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_VA,    32, 52,  8},

			{ 40, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 70,  5},
			{ 41, GAME_PIECE_Girder_Hor,  FLAG_VA,    10, 70, 20},
			{ 42, GAME_PIECE_Girder_Hor,  FLAG_VA,    35, 70,  5},

			{ 50, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 40},

			{ 60, GAME_PIECE_Rope_Down,   FLAG_VA,    10, 28, 12},
			{ 61, GAME_PIECE_Rope_Down,   FLAG_VA,    28, 28, 12},

			{ 70, GAME_PIECE_Rope_Up,     FLAG_VA,     0, 30,  5},
			{ 71, GAME_PIECE_Rope_Up,     FLAG_VA,    12, 36,  8},
			{ 72, GAME_PIECE_Rope_Up,     FLAG_VA,    26, 36,  8},
			{ 73, GAME_PIECE_Rope_Up,     FLAG_VA,    38, 30,  5},

			{ 80, GAME_PIECE_Ladder,      FLAG_VA,     0,  4,  6},
			{ 81, GAME_PIECE_Ladder,      FLAG_VA,    38,  4,  6},

			{ 82, GAME_PIECE_Ladder,      FLAG_VA,     0, 68,  5},
			{ 83, GAME_PIECE_Ladder,      FLAG_VA,    38, 68,  5},

			{ 84, GAME_PIECE_Ladder,      FLAG_VA,    19,  6,  4},
			{ 85, GAME_PIECE_Ladder,      FLAG_VA,    19, 22,  1},
			{ 86, GAME_PIECE_Ladder,      FLAG_VA,    19, 26,  1},
			{ 87, GAME_PIECE_Ladder,      FLAG_VA,    19, 30,  5},
			{ 88, GAME_PIECE_Ladder,      FLAG_VA,    19, 50,  2},
			{ 89, GAME_PIECE_Ladder,      FLAG_VA,    19, 58,  3},

			{ 90, GAME_PIECE_Ladder,      FLAG_VA,    16, 68,  5},
			{ 91, GAME_PIECE_Ladder,      FLAG_VA,    22, 68,  5},

			{100, GAME_PIECE_Bomb,        FLAG_VAS,   10,  9,120}, // execute script 120
			{101, GAME_PIECE_Bomb,        FLAG_VAS,   28,  9,121}, // execute script 121
			{102, GAME_PIECE_Bomb,        FLAG_VA,     3, 24,  0}, //
			{103, GAME_PIECE_Bomb,        FLAG_VAS,   10, 20,122}, // execute script 122
			{104, GAME_PIECE_Bomb,        FLAG_VAS,   28, 20,123}, // execute script 123
			{105, GAME_PIECE_Bomb,        FLAG_VA,    35, 24,  0}, //
			{106, GAME_PIECE_Bomb,        FLAG_VAS,    2, 42,124}, // execute script 124
			{107, GAME_PIECE_Bomb,        FLAG_VAS,   36, 42,125}, // execute script 125
			{108, GAME_PIECE_Bomb,        FLAG_VA,     3, 74,  0}, //
			{109, GAME_PIECE_Bomb,        FLAG_VAS,   10, 84,126}, // execute script 126
			{110, GAME_PIECE_Bomb,        FLAG_VAS,   19, 84,127}, // execute script 127
			{111, GAME_PIECE_Bomb,        FLAG_VAS,   28, 84,128}, // execute script 128
			{112, GAME_PIECE_Bomb,        FLAG_VA,    35, 74,  0}, //

			{120, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  13,  0}, // make object 13 invisible
			{121, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  15,  0}, // make object 15 invisible
			{122, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  85,  0}, // make object 85 invisible
			{123, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  86,  0}, // make object 86 invisible
			{124, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  21,  0}, // make object 21 invisible
			{125, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  25,  0}, // make object 25 invisible
			{126, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  90,  0}, // make object 90 invisible
			{127, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  88,  0}, // make object 88 invisible
			{128, GAME_PIECE_Script, FLAG_NONE, FLAG_NONE,  91,  0}, // make object 91 invisible

			{140, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{141, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{142, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{143, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0}, // end of level marker
		},
		1500,13,0, // bonus start value = 1500, bombs required = 13
		0,0,0,21,
		false,
		false,
	},
	{
		"FREEZE",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    19, 60,  SPECIAL_ABILITY_None},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8, 13},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,    16,  8,  8},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,    27,  8, 13},

			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28, 13},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_NONE,  13, 28,  4},
			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,    17, 28,  6},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_NONE,  23, 28,  4},
			{ 34, GAME_PIECE_Girder_Hor,  FLAG_VA,    27, 28, 13},

			{ 40, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 48, 16},
			{ 41, GAME_PIECE_Girder_Hor,  FLAG_NONE,  16, 48,  8},
			{ 42, GAME_PIECE_Girder_Hor,  FLAG_VA,    24, 48, 16},

			{ 50, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 68, 40},

			{ 60, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88,  8},
			{ 61, GAME_PIECE_Girder_Hor,  FLAG_VA,    14, 88, 12},
			{ 62, GAME_PIECE_Girder_Hor,  FLAG_VA,    32, 88,  8},

			{ 70, GAME_PIECE_Ladder,      FLAG_VA,     6,  4, 11},
			{ 71, GAME_PIECE_Ladder,      FLAG_VA,    32,  4, 11},
			{ 72, GAME_PIECE_Ladder,      FLAG_VA,    19, 24, 16},
			{ 73, GAME_PIECE_Ladder,      FLAG_VA,    11, 44,  6},
			{ 74, GAME_PIECE_Ladder,      FLAG_VA,    27, 44,  6},
			{ 75, GAME_PIECE_Ladder,      FLAG_VA,     0, 64,  6},
			{ 76, GAME_PIECE_Ladder,      FLAG_VA,     6, 64,  6},
			{ 75, GAME_PIECE_Ladder,      FLAG_VA,    32, 64,  6},
			{ 76, GAME_PIECE_Ladder,      FLAG_VA,    38, 64,  6},

			{100, GAME_PIECE_Bomb,        FLAG_VA,     1,  4,  0},
			{101, GAME_PIECE_Bomb,        FLAG_VA,    37,  4,  0},
			{102, GAME_PIECE_Bomb,        FLAG_VAS,   10, 24,121},
			{103, GAME_PIECE_Bomb,        FLAG_VA,    19, 16,  0},
			{104, GAME_PIECE_Bomb,        FLAG_VAS,   28, 24,121},
			{105, GAME_PIECE_Bomb,        FLAG_VA,     1, 36,  0},
			{106, GAME_PIECE_Bomb,        FLAG_VA,    11, 36,  0},
			{107, GAME_PIECE_Bomb,        FLAG_VA,    27, 36,  0},
			{108, GAME_PIECE_Bomb,        FLAG_VA,    37, 36,  0},
			{109, GAME_PIECE_Bomb,        FLAG_VA,     3, 56,  0},
			{110, GAME_PIECE_Bomb,        FLAG_VA,    35, 56,  0},
			{111, GAME_PIECE_Bomb,        FLAG_VA,     3, 84,  0},
			{112, GAME_PIECE_Bomb,        FLAG_VAS,   19, 84,120}, // girder41 vis
			{113, GAME_PIECE_Bomb,        FLAG_VA,    35, 84,  0},

			{120, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,  41,  0},
			{121, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,  31,122},
			{122, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,  33,  0},

			{130, GAME_PIECE_Freezer,     FLAG_VA,    19,  0,  0},
			{131, GAME_PIECE_Freezer,     FLAG_VA,     0, 80,  0},
			{131, GAME_PIECE_Freezer,     FLAG_VA,    38, 80,  0},

			{140, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{141, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,14,0,
		TOGGLE_BIT_Girder | TOGGLE_BIT_Rope_Up,0,0,22,
		false,
		false,
	},
	{
		"FOLLOW THE LEADER",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    38, 76,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8,  6},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_VA,    14,  8, 26},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28, 24},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,    30, 28, 10},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 48, 13},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,    21, 48, 19},
			{ 16, GAME_PIECE_Girder_Hor,  FLAG_VA,     9, 68, 16},
			{ 17, GAME_PIECE_Girder_Down, FLAG_VA,    25, 69, 15},
			{ 18, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 20},

			{ 30, GAME_PIECE_Ladder,      FLAG_VA,    16,  4,  6},
			{ 31, GAME_PIECE_Ladder,      FLAG_VA,     1,  4,  6},
			{ 32, GAME_PIECE_Ladder,      FLAG_VA,    30,  4,  6},
			{ 33, GAME_PIECE_Ladder,      FLAG_VA,    37,  4, 11},
			{ 34, GAME_PIECE_Ladder,      FLAG_VA,    10, 24, 11},
			{ 35, GAME_PIECE_Ladder,      FLAG_VA,    22, 24, 11},
			{ 36, GAME_PIECE_Ladder,      FLAG_VA,     2, 44, 11},
			{ 37, GAME_PIECE_Ladder,      FLAG_VA,    16, 64,  6},

			{ 50, GAME_PIECE_Bomb,        FLAG_VAS,    4,  4,  70},
			{ 51, GAME_PIECE_Bomb,        FLAG_VAS,   14,  4,  70},
			{ 52, GAME_PIECE_Bomb,        FLAG_VAS,   33,  4,  70},
			{ 53, GAME_PIECE_Bomb,        FLAG_VAS,    4, 24,  70},
			{ 54, GAME_PIECE_Bomb,        FLAG_VAS,   14, 24,  70},
			{ 55, GAME_PIECE_Bomb,        FLAG_VAS,   33, 24,  70},
			{ 56, GAME_PIECE_Bomb,        FLAG_VAS,    0, 44,  70},
			{ 57, GAME_PIECE_Bomb,        FLAG_VAS,   33, 44,  70},
			{ 58, GAME_PIECE_Bomb,        FLAG_VAS,   16, 48,  70},
			{ 59, GAME_PIECE_Bomb,        FLAG_VAS,   33, 64,  70},
			{ 60, GAME_PIECE_Bomb,        FLAG_VAS,    0, 84,  70},
			{ 61, GAME_PIECE_Bomb,        FLAG_VAS,   14, 84,  70},

			{ 70, GAME_PIECE_Script, FLAG_NONE, FLAG_VA, 90,  0},

			{ 90, GAME_PIECE_Follower, FLAG_NONE, 0, 0, 0},
			{ 91, GAME_PIECE_Follower, FLAG_NONE, 0, 0, 0},
			{ 92, GAME_PIECE_Follower, FLAG_NONE, 0, 0, 0},
			{ 93, GAME_PIECE_Follower, FLAG_NONE, 0, 0, 0},
			{ 94, GAME_PIECE_Follower, FLAG_NONE, 0, 0, 0},
			{ 95, GAME_PIECE_Follower, FLAG_NONE, 0, 0, 0},
			{ 96, GAME_PIECE_Follower, FLAG_NONE, 0, 0, 0},
			{ 97, GAME_PIECE_Follower, FLAG_NONE, 0, 0, 0},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,12,0,
		0,0,0,23,
		false,
		false,
	},
	{
		"JUNGLE",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,  19, 80,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,   0,  8, 12},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_VA,  16,  8,  8},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,  28,  8, 12},

			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 26,  3},

			{ 14, GAME_PIECE_Girder_Down, FLAG_VA,   6, 27,  2},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,   8, 27,  1},
			{ 16, GAME_PIECE_Girder_Down, FLAG_VA,  12, 27,  2},
			{ 17, GAME_PIECE_Girder_Hor,  FLAG_VA,  14, 27,  1},

			{ 18, GAME_PIECE_Girder_Hor,  FLAG_VA,  18, 28,  4},

			{ 19, GAME_PIECE_Girder_Down, FLAG_VA,  25, 27,  2},
			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,  27, 27,  1},
			{ 21, GAME_PIECE_Girder_Down, FLAG_VA,  31, 27,  2},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,  33, 27,  1},

			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,  37, 26,  3},

			{ 24, GAME_PIECE_Girder_Down, FLAG_VA,   0, 44,  5},
			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VA,   5, 49,  6},
			{ 26, GAME_PIECE_Girder_Hor,  FLAG_VA,  17, 49,  6},
			{ 27, GAME_PIECE_Girder_Hor,  FLAG_VA,  29, 49,  6},
			{ 28, GAME_PIECE_Girder_Up,   FLAG_VA,  35, 48,  5},

			{ 29, GAME_PIECE_Girder_Hor,  FLAG_VA,   5, 68,  6},
			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,  16, 68,  8},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_VA,  30, 68,  6},

			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,   0, 88, 11},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,  15, 88, 10},
			{ 34, GAME_PIECE_Girder_Hor,  FLAG_VA,  29, 88, 11},

			{ 40, GAME_PIECE_Rope_Up,     FLAG_VA,   9, 10,  5},
			{ 41, GAME_PIECE_Rope_Up,     FLAG_VA,  29, 10,  5},
			{ 42, GAME_PIECE_Rope_Up,     FLAG_VA,   7, 30,  3},
			{ 43, GAME_PIECE_Rope_Up,     FLAG_VA,  31, 30,  3},
			{ 44, GAME_PIECE_Rope_Up,     FLAG_VA,  17, 50,  4},
			{ 45, GAME_PIECE_Rope_Up,     FLAG_VA,  21, 50,  4},
			{ 46, GAME_PIECE_Rope_Up,     FLAG_VA,   0, 46, 10},
			{ 47, GAME_PIECE_Rope_Up,     FLAG_VA,  38, 46, 10},

			{ 50, GAME_PIECE_Rope_Down,   FLAG_VA,   4,  4,  7},
			{ 51, GAME_PIECE_Rope_Down,   FLAG_VA,  34,  4,  7},
			{ 52, GAME_PIECE_Rope_Down,   FLAG_VA,   0, 21,  4},
			{ 53, GAME_PIECE_Rope_Down,   FLAG_VA,  38, 21,  4},
			{ 54, GAME_PIECE_Rope_Down,   FLAG_VA,  13, 22, 15},
			{ 55, GAME_PIECE_Rope_Down,   FLAG_VA,  25, 22, 15},

			{ 60, GAME_PIECE_Ladder,      FLAG_VA,  19,  4, 11},
			{ 61, GAME_PIECE_Ladder,      FLAG_VA,   7, 44, 11},
			{ 62, GAME_PIECE_Ladder,      FLAG_VA,  31, 44, 11},
			{ 63, GAME_PIECE_Ladder,      FLAG_VA,  19, 64,  6},

			{ 70, GAME_PIECE_Bomb,        FLAG_VA,   0,  4,  0},
			{ 71, GAME_PIECE_Bomb,        FLAG_VA,  38,  4,  0},
			{ 72, GAME_PIECE_Bomb,        FLAG_VA,  16,  4,  0},
			{ 73, GAME_PIECE_Bomb,        FLAG_VA,  22,  4,  0},
			{ 74, GAME_PIECE_Bomb,        FLAG_VA,  13, 24,  0},
			{ 75, GAME_PIECE_Bomb,        FLAG_VA,  25, 24,  0},
			{ 76, GAME_PIECE_Bomb,        FLAG_VA,  13, 46,  0},
			{ 77, GAME_PIECE_Bomb,        FLAG_VA,  25, 46,  0},
			{ 78, GAME_PIECE_Bomb,        FLAG_VA,   0, 64,  0},
			{ 79, GAME_PIECE_Bomb,        FLAG_VA,  38, 64,  0},
			{ 80, GAME_PIECE_Bomb,        FLAG_VA,  16, 64,  0},
			{ 81, GAME_PIECE_Bomb,        FLAG_VA,  22, 64,  0},
			{ 82, GAME_PIECE_Bomb,        FLAG_VA,   9, 84,  0},
			{ 83, GAME_PIECE_Bomb,        FLAG_VA,  29, 84,  0},
			{ 84, GAME_PIECE_Bomb,        FLAG_VA,  15, 84,  0},
			{ 85, GAME_PIECE_Bomb,        FLAG_VA,  23, 84,  0},

			{ 90, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{ 91, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{ 92, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{ 93, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,16,0,
		0,0,0,24,
		false,
		false,
	},
	{
		"MYSTERY MAZE",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,   25, 80,  SPECIAL_ABILITY_Illuminate},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_A,     2,  8,  4},
			{ 11, GAME_PIECE_Girder_Down, FLAG_A,     6,  9,  3},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_A,     1, 40, 14},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_A,     2, 68,  5},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_A,    11, 68,  4},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_A,     1, 88,  6},

			{ 16, GAME_PIECE_Girder_Up,   FLAG_A,    18, 14,  6},
			{ 17, GAME_PIECE_Girder_Hor,  FLAG_A,    24,  8,  6},
			{ 18, GAME_PIECE_Girder_Hor,  FLAG_A,    26, 28,  2},
			{ 19, GAME_PIECE_Girder_Hor,  FLAG_A,    31, 28,  2},
			{ 20, GAME_PIECE_Girder_Hor,  FLAG_A,    22, 48,  7},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_A,    34, 52,  5},

			{ 22, GAME_PIECE_Girder_Up,   FLAG_A,    18, 72,  4},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_A,    22, 68,  6},
			{ 24, GAME_PIECE_Girder_Hor,  FLAG_A,    17, 88, 22},

			{ 30, GAME_PIECE_Rope_Down,   FLAG_A,    18, 14, 12},

			{ 40, GAME_PIECE_Rope_Up,     FLAG_A,    22, 68,  3},
			{ 41, GAME_PIECE_Rope_Up,     FLAG_A,    27, 48,  3},
			{ 42, GAME_PIECE_Rope_Up,     FLAG_A,    26, 28,  3},

			{ 50, GAME_PIECE_Ladder,      FLAG_A,     3,  4,  9},
			{ 51, GAME_PIECE_Ladder,      FLAG_A,    12, 36,  8},
			{ 52, GAME_PIECE_Ladder,      FLAG_A,     3, 64,  6},
			{ 53, GAME_PIECE_Ladder,      FLAG_A,    35,  4, 12},
			{ 54, GAME_PIECE_Ladder,      FLAG_A,    35, 68,  5},

			{ 60, GAME_PIECE_Bomb,        FLAG_A,     0, 84,  0},
			{ 61, GAME_PIECE_Bomb,        FLAG_A,     0, 36,  0},
			{ 62, GAME_PIECE_Bomb,        FLAG_A,     8, 20,  0},
			{ 63, GAME_PIECE_Bomb,        FLAG_A,    15, 50,  0},
			{ 64, GAME_PIECE_Bomb,        FLAG_A,    26,  4,  0},
			{ 65, GAME_PIECE_Bomb,        FLAG_A,    31, 24,  0},
			{ 66, GAME_PIECE_Bomb,        FLAG_A,    38, 48,  0},
			{ 67, GAME_PIECE_Bomb,        FLAG_A,    38, 84,  0},
			{ 68, GAME_PIECE_Bomb,        FLAG_A,    17, 84,  0},
			{ 69, GAME_PIECE_Bomb,        FLAG_A,    22, 44,  0},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,10,0,
		0,0,0,25,
		false,
		false,
	},
	{
		"GUNFIGHTER",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    33,  0,  SPECIAL_ABILITY_Gunfire},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8, 40},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 24, 24},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 24, 12},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 40, 13},
			{ 14, GAME_PIECE_Girder_Hor,  FLAG_VA,    17, 40, 15},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,    36, 40,  4},
			{ 16, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 56,  7},
			{ 17, GAME_PIECE_Girder_Hor,  FLAG_VA,    11, 56, 29},
			{ 18, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 72, 18},
			{ 19, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 72, 12},
			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 10},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,    14, 88, 22},

			{ 30, GAME_PIECE_Ladder,      FLAG_VA,     0,  4, 17},
			{ 31, GAME_PIECE_Ladder,      FLAG_VA,    11,  4, 13},
			{ 32, GAME_PIECE_Ladder,      FLAG_VA,    22,  4,  9},
			{ 33, GAME_PIECE_Ladder,      FLAG_VA,    34,  4,  5},

			{ 34, GAME_PIECE_Ladder,      FLAG_VA,    38, 20,  9},

			{ 35, GAME_PIECE_Ladder,      FLAG_VA,    28, 36,  9},

			{ 36, GAME_PIECE_Ladder,      FLAG_VA,    16, 52,  9},
			{ 37, GAME_PIECE_Ladder,      FLAG_VA,    22, 52,  9},

			{ 38, GAME_PIECE_Ladder,      FLAG_VA,     8, 68,  5},
			{ 39, GAME_PIECE_Ladder,      FLAG_VA,    34, 68,  5},

			{ 50, GAME_PIECE_Jumpman_Gunfire, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{ 51, GAME_PIECE_Jumpman_Gunfire, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{ 52, GAME_PIECE_Enemy_Gunfire,   FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{ 53, GAME_PIECE_Enemy_Gunfire,   FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			//{ 54, GAME_PIECE_Enemy_Gunfire,   FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			//{ 55, GAME_PIECE_Enemy_Gunfire,   FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 60, GAME_PIECE_Gunslinger, FLAG_VA,  0, 80,  SPECIAL_ABILITY_Gunfire},
			{ 61, GAME_PIECE_Gunslinger, FLAG_VA,  0, 60,  SPECIAL_ABILITY_Gunfire},

			{ 70, GAME_PIECE_Bomb,        FLAG_VA,     0, 84,  0},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,1,0,
		0,0,0,26,
		false,
		false,
	},
	{
		"ROBOTS III",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,    19, 80,  SPECIAL_ABILITY_None},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8, 40},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28, 15},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,    25, 28, 15},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,     2, 48,  6},
			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,    13, 48, 14},
			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VA,    32, 48,  6},
			{ 26, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 68, 17},
			{ 27, GAME_PIECE_Girder_Hor,  FLAG_VA,    23, 68, 17},
			{ 28, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88, 12},
			{ 29, GAME_PIECE_Girder_Hor,  FLAG_VA,    17, 88,  6},
			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 88, 12},
			//{ 31, GAME_PIECE_Girder_Hor,  FLAG_NONE,  12, 88,  6},
			//{ 32, GAME_PIECE_Girder_Hor,  FLAG_NONE,  22, 88,  6},

			{ 35, GAME_PIECE_Rope_Up,     FLAG_VA,    10, 30,  7},
			{ 36, GAME_PIECE_Rope_Up,     FLAG_VA,    28, 30,  7},
			//{ 37, GAME_PIECE_Rope_Up,     FLAG_VA,    19, 50,  7},

			{ 40, GAME_PIECE_Ladder,      FLAG_VA,     6,  4, 11},
			{ 41, GAME_PIECE_Ladder,      FLAG_VA,    32,  4, 11},
			{ 42, GAME_PIECE_Ladder,      FLAG_VA,    13,  4, 11},
			{ 43, GAME_PIECE_Ladder,      FLAG_VA,    25,  4, 11},
			{ 44, GAME_PIECE_Ladder,      FLAG_VA,     2, 24,  6},
			{ 45, GAME_PIECE_Ladder,      FLAG_VA,    36, 24,  6},
			{ 45, GAME_PIECE_Ladder,      FLAG_VA,    19, 44, 11},
			{ 46, GAME_PIECE_Ladder,      FLAG_VA,     6, 64,  6},
			{ 47, GAME_PIECE_Ladder,      FLAG_VA,    32, 64,  6},
			{ 48, GAME_PIECE_Ladder,      FLAG_VA,     0, 64,  6},
			{ 49, GAME_PIECE_Ladder,      FLAG_VA,    38, 64,  6},
			{ 50, GAME_PIECE_Ladder,      FLAG_NONE,  13, 48,  5},
			{ 51, GAME_PIECE_Ladder,      FLAG_NONE,  25, 48,  5},

			{ 60, GAME_PIECE_Bomb,        FLAG_VAS,    0,  4, 80},
			{ 61, GAME_PIECE_Bomb,        FLAG_VA,    15,  4,  0},
			{ 62, GAME_PIECE_Bomb,        FLAG_VA,    23,  4,  0},
			{ 63, GAME_PIECE_Bomb,        FLAG_VAS,   38,  4, 81},
			{ 64, GAME_PIECE_Bomb,        FLAG_VA,     0, 24,  0},
			{ 65, GAME_PIECE_Bomb,        FLAG_VA,    38, 24,  0},
			{ 66, GAME_PIECE_Bomb,        FLAG_VA,     4, 44,  0},
			{ 67, GAME_PIECE_Bomb,        FLAG_VA,    15, 44,  0},
			{ 68, GAME_PIECE_Bomb,        FLAG_VA,    23, 44,  0},
			{ 69, GAME_PIECE_Bomb,        FLAG_VA,    34, 44,  0},
			{ 70, GAME_PIECE_Bomb,        FLAG_VA,     0, 64,  0},
			{ 71, GAME_PIECE_Bomb,        FLAG_VA,    15, 64,  0},
			{ 72, GAME_PIECE_Bomb,        FLAG_VA,    23, 64,  0},
			{ 73, GAME_PIECE_Bomb,        FLAG_VA,    38, 64,  0},
			{ 74, GAME_PIECE_Bomb,        FLAG_VAS,    9, 84, 80},
			{ 75, GAME_PIECE_Bomb,        FLAG_VAS,   29, 84, 81},

			//{ 80, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,  31,  0},
			//{ 81, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,  32,  0},
			{ 80, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,  50,  0},
			{ 81, GAME_PIECE_Script, FLAG_NONE, FLAG_VA,  51,  0},

			{ 100, GAME_PIECE_Robot_3, FLAG_VA, 19,  0,  10},
			{ 101, GAME_PIECE_Robot_3, FLAG_VA,  1, 80,  11},
			{ 102, GAME_PIECE_Robot_3, FLAG_VA, 37, 80,  11},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,16,0,
		0,0,0,27,
		false,
		false,
	},
	{
		"NOW YOU SEE IT",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_A,     19,  80,  SPECIAL_ABILITY_None},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8,  4},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_VA,     8,  8,  3},
			{ 12, GAME_PIECE_Girder_Down, FLAG_VA,    11,  9,  4},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,    19, 12,  2},
			{ 14, GAME_PIECE_Girder_Up,   FLAG_VA,    25, 12,  4},
			{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,    29,  8,  3},
			{ 16, GAME_PIECE_Girder_Hor,  FLAG_VA,    36,  8,  4},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28,  7},
			{ 21, GAME_PIECE_Girder_Down, FLAG_VA,     7, 29,  4},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,    16, 32,  8},
			{ 23, GAME_PIECE_Girder_Up,   FLAG_VA,    29, 32,  4},
			{ 24, GAME_PIECE_Girder_Hor,  FLAG_VA,    33, 28,  7},

			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 48+2, 10},
			{ 31, GAME_PIECE_Girder_Down, FLAG_VA,    10, 49+2,  3},
			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,    13, 52+2, 14},
			{ 33, GAME_PIECE_Girder_Up,   FLAG_VA,    27, 51+2,  3},
			{ 34, GAME_PIECE_Girder_Hor,  FLAG_VA,    30, 48+2, 10},

			{ 40, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 68,  4},
			{ 41, GAME_PIECE_Girder_Down, FLAG_VA,     4, 69,  3},
			{ 42, GAME_PIECE_Girder_Hor,  FLAG_VA,     7, 72,  3},
			{ 43, GAME_PIECE_Girder_Down, FLAG_VA,    10, 73,  3},
			{ 44, GAME_PIECE_Girder_Hor,  FLAG_VA,    13, 76,  3},
			{ 45, GAME_PIECE_Girder_Hor,  FLAG_VA,    16, 76,  3},
			{ 46, GAME_PIECE_Girder_Hor,  FLAG_VA,    19, 76,  2},
			{ 47, GAME_PIECE_Girder_Hor,  FLAG_VA,    21, 76,  3},
			{ 48, GAME_PIECE_Girder_Hor,  FLAG_VA,    24, 76,  3},
			{ 49, GAME_PIECE_Girder_Up,   FLAG_VA,    27, 75,  3},
			{ 50, GAME_PIECE_Girder_Hor,  FLAG_VA,    30, 72,  3},
			{ 51, GAME_PIECE_Girder_Up,   FLAG_VA,    33, 71,  3},
			{ 52, GAME_PIECE_Girder_Hor,  FLAG_VA,    36, 68,  4},

			{ 54, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 84,  6},
			{ 55, GAME_PIECE_Girder_Down, FLAG_VA,     6, 85,  3},
			{ 56, GAME_PIECE_Girder_Hor,  FLAG_VA,     9, 88, 22},
			{ 57, GAME_PIECE_Girder_Up,   FLAG_VA,    31, 87,  3},
			{ 58, GAME_PIECE_Girder_Hor,  FLAG_VA,    34, 84,  6},

			{ 60, GAME_PIECE_Ladder,      FLAG_VA,     2, 24,  2},
			{ 61, GAME_PIECE_Ladder,      FLAG_VA,     2, 32,  2},
			{ 62, GAME_PIECE_Ladder,      FLAG_VA,     2, 40, 11},
			{ 63, GAME_PIECE_Ladder,      FLAG_VA,    19, 28,  8},
			{ 64, GAME_PIECE_Ladder,      FLAG_VA,    19, 60,  2},
			{ 65, GAME_PIECE_Ladder,      FLAG_VA,    19, 68,  2},
			{ 66, GAME_PIECE_Ladder,      FLAG_VA,    36, 24,  2},
			{ 67, GAME_PIECE_Ladder,      FLAG_VA,    36, 32,  2},
			{ 68, GAME_PIECE_Ladder,      FLAG_VA,    36, 40, 11},

			{ 80, GAME_PIECE_Rope_Down,   FLAG_VA,     8,  3,  5},
			{ 81, GAME_PIECE_Rope_Up,     FLAG_VA,    19, 15,  2},
			{ 82, GAME_PIECE_Rope_Down,   FLAG_VA,    30,  3,  5},

			{ 90, GAME_PIECE_Bomb,        FLAG_VAS,    0,  4, 140}, // toggle
			{ 91, GAME_PIECE_Bomb,        FLAG_VAS,   16,  1, 140}, // toggle
			{ 92, GAME_PIECE_Bomb,        FLAG_VAS,   22,  1, 140}, // toggle
			{ 93, GAME_PIECE_Bomb,        FLAG_VAS,   38,  4, 140}, // toggle

			{ 94, GAME_PIECE_Bomb,        FLAG_VAS,    6, 24, 120}, // toggle, ladder61
			{ 95, GAME_PIECE_Bomb,        FLAG_VAS,   32, 24, 121}, // toggle, ladder67

			{ 96, GAME_PIECE_Bomb,        FLAG_VAS,    6, 46, 140}, // toggle
			{ 97, GAME_PIECE_Bomb,        FLAG_VAS,   16, 42, 122}, // toggle, girder31
			{ 98, GAME_PIECE_Bomb,        FLAG_VAS,   22, 42, 123}, // toggle, girder33
			{ 99, GAME_PIECE_Bomb,        FLAG_VAS,   32, 46, 140}, // toggle

			{100, GAME_PIECE_Bomb,        FLAG_VAS,    8, 60, 124}, // toggle, girder43
			{101, GAME_PIECE_Bomb,        FLAG_VAS,   30, 60, 125}, // toggle, girder51

			{102, GAME_PIECE_Bomb,        FLAG_VAS,    0, 80, 126}, // toggle, ladder64
			{103, GAME_PIECE_Bomb,        FLAG_VAS,   16, 84, 127}, // toggle, girder47
			{104, GAME_PIECE_Bomb,        FLAG_VAS,   22, 84, 128}, // toggle, girder45
			{105, GAME_PIECE_Bomb,        FLAG_VAS,   38, 80, 129}, // toggle, ladder64

			{120, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  61,  140},
			{121, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  67,  140},
			{122, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  31,  140},
			{123, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  33,  140},
			{124, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  43,  140},
			{125, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  51,  140},
			{126, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  64,  140},
			{127, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  47,  140},
			{128, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  45,  140},
			{129, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  64,  140},

			{140, GAME_PIECE_Script, FLAG_COMMAND,  CMD_Toggle_Girders,   0,  141},
			{141, GAME_PIECE_Script, FLAG_COMMAND,  CMD_Toggle_Rope_Ups,  0,  142},
			{142, GAME_PIECE_Script, FLAG_COMMAND,  CMD_Toggle_Bombs,     0,    0},

			{150, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{151, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,16,0,
		TOGGLE_BIT_Enabled | TOGGLE_BIT_Girder | TOGGLE_BIT_Rope_Up,0,0,28,
		false,
		false,
	},
	{
		"GOING DOWN?",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_A,     13,  0,  SPECIAL_ABILITY_None},

			{  5, GAME_PIECE_Waypoint_Root,  FLAG_NONE, 1, 2, 6},
			{  6, GAME_PIECE_Waypoint_List_Pos,  17,  0,  17, 100},

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8,  2},
			{ 11, GAME_PIECE_Girder_Hor,  FLAG_NONE,   6,  5,  2},
			{ 12, GAME_PIECE_Girder_Hor,  FLAG_VA,     2,  8,  8},
			{ 13, GAME_PIECE_Girder_Hor,  FLAG_VA,    10,  8,  5},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,    25,  8,  5},
			{ 21, GAME_PIECE_Girder_Hor,  FLAG_VA,    30,  8,  8},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_NONE,  32,  5,  2},
			{ 23, GAME_PIECE_Girder_Hor,  FLAG_VA,    38,  8,  2},

			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28, 15},
			{ 31, GAME_PIECE_Girder_Hor,  FLAG_VA,    25, 28, 15},
			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 48, 15},
			{ 33, GAME_PIECE_Girder_Hor,  FLAG_VA,    25, 48, 15},
			{ 34, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 68, 15},
			{ 35, GAME_PIECE_Girder_Hor,  FLAG_VA,    25, 68, 15},

			{ 40, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88,  5},
			{ 41, GAME_PIECE_Girder_Hor,  FLAG_VA,     5, 88,  6},
			{ 42, GAME_PIECE_Girder_Hor,  FLAG_VA,    11, 88,  6},
			{ 43, GAME_PIECE_Girder_Hor,  FLAG_VA,    23, 88,  6},
			{ 44, GAME_PIECE_Girder_Hor,  FLAG_VA,    29, 88,  6},
			{ 45, GAME_PIECE_Girder_Hor,  FLAG_VA,    35, 88,  5},

			{ 50, GAME_PIECE_Rope_Up,     FLAG_VA,     0,  8, 20},
			{ 51, GAME_PIECE_Rope_Up,     FLAG_VA,    38,  8, 20},
			{ 52, GAME_PIECE_Rope_Up,     FLAG_NONE,  13, 70,  2},
			{ 53, GAME_PIECE_Rope_Up,     FLAG_NONE,  25, 70,  2},

			{ 60, GAME_PIECE_Ladder,      FLAG_VA,    11,  4,  2},
			{ 61, GAME_PIECE_Ladder,      FLAG_VA,    11, 12,  3},
			{ 62, GAME_PIECE_Ladder,      FLAG_VA,    11, 24,  1},
			{ 63, GAME_PIECE_Ladder,      FLAG_VA,    27,  4,  2},
			{ 64, GAME_PIECE_Ladder,      FLAG_VA,    27, 12,  3},
			{ 65, GAME_PIECE_Ladder,      FLAG_VA,    27, 24,  1},
			{ 66, GAME_PIECE_Ladder,      FLAG_VA,     2, 24,  6},
			{ 67, GAME_PIECE_Ladder,      FLAG_VA,    36, 24,  6},
			{ 68, GAME_PIECE_Ladder,      FLAG_VA,    11, 44,  6},
			{ 69, GAME_PIECE_Ladder,      FLAG_VA,    27, 44,  6},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VAMW,  17,  0,  5<<3 | 6},

			{ 80, GAME_PIECE_Bomb,        FLAG_VAS,    0,  4,  100},
			{ 81, GAME_PIECE_Bomb,        FLAG_VAS,   38,  4,  101},
			{ 82, GAME_PIECE_Bomb,        FLAG_VAS,    6, 24,  102},
			{ 83, GAME_PIECE_Bomb,        FLAG_VAS,   32, 24,  103},
			{ 84, GAME_PIECE_Bomb,        FLAG_VAS,    6, 44,  104}, // girder22 invis, bomb83 vis
			{ 85, GAME_PIECE_Bomb,        FLAG_VAS,   32, 44,  105},
			{ 86, GAME_PIECE_Bomb,        FLAG_VAS,    6, 64,  106},
			{ 87, GAME_PIECE_Bomb,        FLAG_VAS,   32, 64,  107}, // girder21 invis, bomb82 vis
			{ 88, GAME_PIECE_Bomb,        FLAG_VAS,    3, 84,  108}, // girder32 invis, bomb86 vis
			{ 89, GAME_PIECE_Bomb,        FLAG_VA,    13, 84,    0},
			{ 90, GAME_PIECE_Bomb,        FLAG_VA,    25, 84,    0},
			{ 91, GAME_PIECE_Bomb,        FLAG_VAS,   35, 84,  109}, // girder31 invis, bomb85 vis

			{100, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  12,  0},
			{101, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  21,  0},
			{102, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,    11,  0},
			{103, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,    22,  0},
			{104, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  61,  0},
			{105, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  64,  0},
			{106, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,    52,  0},
			{107, GAME_PIECE_Script, FLAG_NONE,  FLAG_VA,    53,  0},
			{108, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  41,  0},
			{109, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE,  44,  0},

			{120, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{121, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{122, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{123, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,12,0,
		TOGGLE_BIT_Girder | TOGGLE_BIT_Rope_Up,0,0,29,
		false,
		false,
	},
	{
		"GRAND PUZZLE III",
		{
			{  1, GAME_PIECE_Jumpman,     FLAG_VA,     2, 80,   SPECIAL_ABILITY_None},

			// Initial level map

			{ 10, GAME_PIECE_Girder_Hor,  FLAG_VA,    20, 26,   8}, // common between both maps
			{ 11, GAME_PIECE_Girder_Ver,  FLAG_VA,    20, 30,   2}, // common between both maps
			{ 12, GAME_PIECE_Girder_Ver,  FLAG_VA,    27, 30,   2}, // common between both maps

			{ 15, GAME_PIECE_Girder_Hor,  FLAG_VA,     0,  8,   2},
			{ 16, GAME_PIECE_Girder_Hor,  FLAG_VA,     6,  8,   8},

			{ 20, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 28,  14},
			{ 21, GAME_PIECE_Girder_Up,   FLAG_VA,    14, 27,  19},
			{ 22, GAME_PIECE_Girder_Hor,  FLAG_VA,    33,  8,   7},

			{ 25, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 46,  14},
			{ 26, GAME_PIECE_Girder_Hor,  FLAG_VA,    20, 46,   8},
			{ 27, GAME_PIECE_Girder_Up,   FLAG_VA,    28, 45,   7},
			{ 28, GAME_PIECE_Girder_Hor,  FLAG_VA,    35, 38,   5},

			{ 30, GAME_PIECE_Girder_Hor,  FLAG_VA,     6, 70,  11},
			{ 31, GAME_PIECE_Girder_Up,   FLAG_VA,    17, 69,   3},
			{ 32, GAME_PIECE_Girder_Hor,  FLAG_VA,    20, 66,   8},
			{ 33, GAME_PIECE_Girder_Down, FLAG_VA,    28, 67,   3},
			{ 34, GAME_PIECE_Girder_Hor,  FLAG_VA,    31, 70,   9},

			{ 40, GAME_PIECE_Girder_Hor,  FLAG_VA,     0, 88,  12},
			{ 41, GAME_PIECE_Girder_Hor,  FLAG_VA,    28, 88,  12},

			{ 50, GAME_PIECE_Ladder,      FLAG_VA,     8,  4,   6},
			{ 51, GAME_PIECE_Ladder,      FLAG_VA,     2, 24,  16},
			{ 52, GAME_PIECE_Ladder,      FLAG_VA,     8, 68,   5},
			{ 53, GAME_PIECE_Ladder,      FLAG_VA,    23, 42,   6},
			{ 54, GAME_PIECE_Ladder,      FLAG_VA,    38,  6,  16},
			{ 55, GAME_PIECE_Ladder,      FLAG_VA,    34, 68,   5},

			{ 60, GAME_PIECE_Bomb,        FLAG_VA,     0,  4,   0}, //
			{ 61, GAME_PIECE_Bomb,        FLAG_VA,    12,  4,   0}, //
			{ 62, GAME_PIECE_Bomb,        FLAG_VA,    22, 12,   0}, //
			{ 63, GAME_PIECE_Bomb,        FLAG_VA,    34,  4,   0}, //
			{ 64, GAME_PIECE_Bomb,        FLAG_VA,     5, 24,   0}, //
			{ 65, GAME_PIECE_Bomb,        FLAG_VA,    12, 34,   0}, //
			{ 66, GAME_PIECE_Bomb,        FLAG_VA,    23, 34,   0}, //
			{ 67, GAME_PIECE_Bomb,        FLAG_VA,    33, 35,   0}, //
			{ 68, GAME_PIECE_Bomb,        FLAG_VA,    12, 58,   0}, //
			{ 69, GAME_PIECE_Bomb,        FLAG_VA,     0, 84,   0}, //
			{ 70, GAME_PIECE_Bomb,        FLAG_VA,    29, 84,   0}, //
			{ 71, GAME_PIECE_Bomb,        FLAG_VA,    38, 84,   0}, //

			// bonus level map

			{ 75, GAME_PIECE_Girder_Hor,  FLAG_NONE,  20, 26,   8}, // common between both maps (see object 10)
			{ 76, GAME_PIECE_Girder_Ver,  FLAG_NONE,  20, 30,   2}, // common between both maps (see object 11)
			{ 77, GAME_PIECE_Girder_Ver,  FLAG_NONE,  27, 30,   2}, // common between both maps (see object 12)

			{ 80, GAME_PIECE_Girder_Hor,  FLAG_NONE,   0,  8,  14},
			{ 81, GAME_PIECE_Girder_Ver,  FLAG_NONE,   0, 12,   4},

			{ 85, GAME_PIECE_Girder_Hor,  FLAG_NONE,   0, 24,   3},
			{ 86, GAME_PIECE_Girder_Down, FLAG_NONE,   3, 25,   3},
			{ 87, GAME_PIECE_Girder_Hor,  FLAG_NONE,   6, 28,   8},
			{ 88, GAME_PIECE_Girder_Hor,  FLAG_NONE,  34, 28,   6},

			{ 90, GAME_PIECE_Girder_Hor,  FLAG_NONE,   4, 48,   8},
			{ 91, GAME_PIECE_Girder_Hor,  FLAG_NONE,  30, 48,   8},

			{ 92, GAME_PIECE_Girder_Hor,  FLAG_NONE,   0, 68,  12},
			{ 93, GAME_PIECE_Girder_Hor,  FLAG_NONE,  16, 68,  11},
			{ 94, GAME_PIECE_Girder_Hor,  FLAG_NONE,  37, 68,   3},
			{ 95, GAME_PIECE_Girder_Ver,  FLAG_NONE,  27, 68,   5},
			{ 96, GAME_PIECE_Girder_Ver,  FLAG_NONE,  33, 68,   5},

			{100, GAME_PIECE_Girder_Hor,  FLAG_NONE,   0, 88,   7},
			{101, GAME_PIECE_Girder_Hor,  FLAG_NONE,  12, 88,  22},

			{105, GAME_PIECE_Rope_Up,     FLAG_NONE,  23, 28,   8},
			{106, GAME_PIECE_Rope_Down,   FLAG_NONE,  30, 44,   6},

			{110, GAME_PIECE_Ladder,      FLAG_NONE,   8,  4,  16},
			{111, GAME_PIECE_Ladder,      FLAG_NONE,   2, 64,   6},
			{112, GAME_PIECE_Ladder,      FLAG_NONE,  34, 24,   6},

			{120, GAME_PIECE_Bomb,        FLAG_S,      0,  4, 150}, // bonus
			{121, GAME_PIECE_Bomb,        FLAG_NONE,   5,  4,   0}, //
			{122, GAME_PIECE_Bomb,        FLAG_NONE,  12, 24,   0}, //
			{123, GAME_PIECE_Bomb,        FLAG_S,     31, 36, 151}, // bonus
			{124, GAME_PIECE_Bomb,        FLAG_NONE,  33, 56,   0}, //
			{125, GAME_PIECE_Bomb,        FLAG_NONE,   0, 84,   0}, //
			{126, GAME_PIECE_Bomb,        FLAG_S,     13, 84, 152}, // bonus,
			{127, GAME_PIECE_Bomb,        FLAG_S,     30, 84, 153}, // bonus

			{140, GAME_PIECE_Script, FLAG_COMMAND,  CMD_Toggle_Girders,   0,  141},
			{141, GAME_PIECE_Script, FLAG_COMMAND,  CMD_Toggle_Rope_Ups,  0,  142},
			{142, GAME_PIECE_Script, FLAG_COMMAND,  CMD_Toggle_Rope_Downs,0,  143},
			{143, GAME_PIECE_Script, FLAG_COMMAND,  CMD_Toggle_Ladders,   0,  144},
			{144, GAME_PIECE_Script, FLAG_COMMAND,  CMD_Toggle_Bombs,     0,  0},

			{150, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE,  50,   0},
			{151, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE,  50,   0},
			{152, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE,  50, 154},
			{153, GAME_PIECE_Script, FLAG_BONUS, FLAG_NONE,  50,   0},
			{154, GAME_PIECE_Script, FLAG_NONE,  FLAG_NONE, 100,   0},

			{160, GAME_PIECE_Transporter2,    FLAG_VAW,  23, 38,  170}, // Green

			{170, GAME_PIECE_Waypoint_Root,      FLAG_NONE,   4,  9,          171}, // root
			{171, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,   11,  DIR_Down,    42}, // 2,3
			{172, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,  22,  DIR_Up,      18}, // 8,9
			{173, GAME_PIECE_Waypoint_List_Vec,  DIR_Right,   4,  DIR_Up,      62}, // 16,17
			{174, GAME_PIECE_Waypoint_List_Vec,  DIR_Left,   15,  DIR_Down,    38}, // 18,19
			{175, GAME_PIECE_Waypoint_List_Vec,  CMD_Goto,    0,  DIR_None,     0}, // 18,19

			{180, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},
			{181, GAME_PIECE_Bullet, FLAG_VA, 0, 0, BULLET_ACTION_HorzAndVert},

			{ 0, 0, 0, 0, 0, 0},
		},
		1500,14,0,
		TOGGLE_BIT_Girder | TOGGLE_BIT_Rope_Up | TOGGLE_BIT_Rope_Down | TOGGLE_BIT_Ladder | TOGGLE_BIT_Bomb,
		8,140,30,
		false,
		true,
	},
#endif

};


MARKER_Type marker = {0x4a4d3839}; // magic number marker 'JM89'

